import { KeyCode, Shortcut } from '../models';
export var DeleteNodes = new Shortcut({
    codes: [KeyCode.Backspace],
    handler: function (context) {
        var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
        if (operation) {
            operation.removeNodes(operation.getSelectedNodes());
        }
    },
});
var Clipboard = {
    nodes: [],
};
export var CopyNodes = new Shortcut({
    codes: [KeyCode.Meta, KeyCode.C],
    handler: function (context) {
        var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
        if (operation) {
            Clipboard.nodes = operation.getSelectedNodes();
        }
    },
});
export var PasteNodes = new Shortcut({
    codes: [KeyCode.Meta, KeyCode.V],
    handler: function (context) {
        var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
        if (operation) {
            operation.cloneNodes(Clipboard.nodes);
        }
    },
});
