"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useKeyboardEffect = void 0;
var events_1 = require("../events");
var useKeyboardEffect = function (engine) {
    engine.subscribeTo(events_1.KeyDownEvent, function (event) {
        var keyboard = engine.keyboard;
        if (!keyboard)
            return;
        keyboard.handleKeyboard(event, __assign(__assign({}, event.context), { workspace: engine.workbench.activeWorkspace || engine.workbench.currentWorkspace }));
    });
    engine.subscribeTo(events_1.KeyUpEvent, function (event) {
        var keyboard = engine.keyboard;
        if (!keyboard)
            return;
        keyboard.handleKeyboard(event, __assign(__assign({}, event.context), { workspace: engine.workbench.activeWorkspace || engine.workbench.currentWorkspace }));
    });
};
exports.useKeyboardEffect = useKeyboardEffect;
