import { KeyCode } from '@designable/shared';
import { IEngineContext } from '../types';
export { KeyCode };
export interface IShortcutProps {
    codes?: KeyCode[];
    matcher?: (codes: KeyCode[]) => boolean;
    handler?: (context: IEngineContext) => void;
}
export declare class Shortcut {
    codes: KeyCode[];
    handler: (context: IEngineContext) => void;
    matcher: (codes: KeyCode[]) => boolean;
    constructor(props: IShortcutProps);
    preventCodes(codes: KeyCode[]): boolean;
    matched(matched: boolean, context: IEngineContext): boolean;
    match(codes: KeyCode[], context: IEngineContext): boolean;
    static matchCode: (code1: KeyCode, code2: KeyCode) => boolean;
    static sortCodes: (codes: KeyCode[]) => KeyCode[];
}
