(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define(['exports'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.Designable = global.Designable || {}, global.Designable.Core = {})));
}(this, (function (exports) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends$1(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign$1 = function() {
        __assign$1 = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign$1.apply(this, arguments);
    };

    function __read$1(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read$1(arguments[i]));
        return ar;
    }

    var AbstractCursorEvent = (function () {
        function AbstractCursorEvent(data) {
            this.data = data || {
                clientX: 0,
                clientY: 0,
                pageX: 0,
                pageY: 0,
                target: null,
                view: window,
            };
            this.transformCoordinates();
        }
        AbstractCursorEvent.prototype.transformCoordinates = function () {
            var _a;
            var frameElement = (((_a = this.data) === null || _a === void 0 ? void 0 : _a.view) || {}).frameElement;
            if (frameElement && this.data.view !== window) {
                var frameRect = frameElement.getBoundingClientRect();
                var scale = frameRect.width / frameElement['offsetWidth'];
                this.data.topClientX = this.data.clientX * scale + frameRect.x;
                this.data.topClientY = this.data.clientY * scale + frameRect.y;
                this.data.topPageX =
                    this.data.pageX + frameRect.x - this.data.view.scrollX;
                this.data.topPageY =
                    this.data.pageY + frameRect.y - this.data.view.scrollY;
                var topElement = document.elementFromPoint(this.data.topPageX, this.data.topClientY);
                if (topElement !== frameElement) {
                    this.data.target = topElement;
                }
            }
            else {
                this.data.topClientX = this.data.clientX;
                this.data.topClientY = this.data.clientY;
                this.data.topPageX = this.data.pageX;
                this.data.topPageY = this.data.pageY;
            }
        };
        return AbstractCursorEvent;
    }());

    var DragMoveEvent = (function (_super) {
        __extends$1(DragMoveEvent, _super);
        function DragMoveEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'drag:move';
            return _this;
        }
        return DragMoveEvent;
    }(AbstractCursorEvent));

    var DragStartEvent = (function (_super) {
        __extends$1(DragStartEvent, _super);
        function DragStartEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'drag:start';
            return _this;
        }
        return DragStartEvent;
    }(AbstractCursorEvent));

    var DragStopEvent = (function (_super) {
        __extends$1(DragStopEvent, _super);
        function DragStopEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'drag:stop';
            return _this;
        }
        return DragStopEvent;
    }(AbstractCursorEvent));

    var MouseClickEvent = (function (_super) {
        __extends$1(MouseClickEvent, _super);
        function MouseClickEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'mouse:click';
            return _this;
        }
        return MouseClickEvent;
    }(AbstractCursorEvent));

    var MouseMoveEvent = (function (_super) {
        __extends$1(MouseMoveEvent, _super);
        function MouseMoveEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'mouse:move';
            return _this;
        }
        return MouseMoveEvent;
    }(AbstractCursorEvent));

    var AbstractKeyboardEvent = (function () {
        function AbstractKeyboardEvent(e) {
            this.data = Designable.Shared.getKeyCodeFromEvent(e);
            this.originEvent = e;
        }
        Object.defineProperty(AbstractKeyboardEvent.prototype, "eventType", {
            get: function () {
                return this.originEvent.type;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AbstractKeyboardEvent.prototype, "ctrlKey", {
            get: function () {
                return this.originEvent.ctrlKey;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AbstractKeyboardEvent.prototype, "shiftKey", {
            get: function () {
                return this.originEvent.shiftKey;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AbstractKeyboardEvent.prototype, "metaKey", {
            get: function () {
                return this.originEvent.metaKey;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AbstractKeyboardEvent.prototype, "altkey", {
            get: function () {
                return this.originEvent.altKey;
            },
            enumerable: false,
            configurable: true
        });
        AbstractKeyboardEvent.prototype.preventDefault = function () {
            if (this.originEvent.preventDefault) {
                this.originEvent.preventDefault();
            }
            else {
                this.originEvent.returnValue = false;
            }
        };
        AbstractKeyboardEvent.prototype.stopPropagation = function () {
            var _a;
            if ((_a = this.originEvent) === null || _a === void 0 ? void 0 : _a.stopPropagation) {
                this.originEvent.stopPropagation();
            }
            else {
                this.originEvent.cancelBubble = true;
            }
        };
        return AbstractKeyboardEvent;
    }());

    var KeyDownEvent = (function (_super) {
        __extends$1(KeyDownEvent, _super);
        function KeyDownEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'key:down';
            return _this;
        }
        return KeyDownEvent;
    }(AbstractKeyboardEvent));

    var KeyUpEvent = (function (_super) {
        __extends$1(KeyUpEvent, _super);
        function KeyUpEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'key:up';
            return _this;
        }
        return KeyUpEvent;
    }(AbstractKeyboardEvent));

    var AbstractMutationNodeEvent = (function () {
        function AbstractMutationNodeEvent(data) {
            this.data = data;
        }
        return AbstractMutationNodeEvent;
    }());

    var DragNodeEvent = (function (_super) {
        __extends$1(DragNodeEvent, _super);
        function DragNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'drag:node';
            return _this;
        }
        return DragNodeEvent;
    }(AbstractMutationNodeEvent));

    var DropNodeEvent = (function (_super) {
        __extends$1(DropNodeEvent, _super);
        function DropNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'drop:node';
            return _this;
        }
        return DropNodeEvent;
    }(AbstractMutationNodeEvent));

    var HoverNodeEvent = (function (_super) {
        __extends$1(HoverNodeEvent, _super);
        function HoverNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'hover:node';
            return _this;
        }
        return HoverNodeEvent;
    }(AbstractMutationNodeEvent));

    var InsertAfterEvent = (function (_super) {
        __extends$1(InsertAfterEvent, _super);
        function InsertAfterEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'insert:after';
            return _this;
        }
        return InsertAfterEvent;
    }(AbstractMutationNodeEvent));

    var InsertBeforeEvent = (function (_super) {
        __extends$1(InsertBeforeEvent, _super);
        function InsertBeforeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'insert:before';
            return _this;
        }
        return InsertBeforeEvent;
    }(AbstractMutationNodeEvent));

    var InsertChildrenEvent = (function (_super) {
        __extends$1(InsertChildrenEvent, _super);
        function InsertChildrenEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'insert:children';
            return _this;
        }
        return InsertChildrenEvent;
    }(AbstractMutationNodeEvent));

    var PrependNodeEvent = (function (_super) {
        __extends$1(PrependNodeEvent, _super);
        function PrependNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'prepend:node';
            return _this;
        }
        return PrependNodeEvent;
    }(AbstractMutationNodeEvent));

    var RemoveNodeEvent = (function (_super) {
        __extends$1(RemoveNodeEvent, _super);
        function RemoveNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'remove:node';
            return _this;
        }
        return RemoveNodeEvent;
    }(AbstractMutationNodeEvent));

    var SelectNodeEvent = (function (_super) {
        __extends$1(SelectNodeEvent, _super);
        function SelectNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'select:node';
            return _this;
        }
        return SelectNodeEvent;
    }(AbstractMutationNodeEvent));

    var UnSelectNodeEvent = (function (_super) {
        __extends$1(UnSelectNodeEvent, _super);
        function UnSelectNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'unselect:node';
            return _this;
        }
        return UnSelectNodeEvent;
    }(AbstractMutationNodeEvent));

    var UpdateChildrenEvent = (function (_super) {
        __extends$1(UpdateChildrenEvent, _super);
        function UpdateChildrenEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'update:children';
            return _this;
        }
        return UpdateChildrenEvent;
    }(AbstractMutationNodeEvent));

    var UpdateNodePropsEvent = (function (_super) {
        __extends$1(UpdateNodePropsEvent, _super);
        function UpdateNodePropsEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'update:node:props';
            return _this;
        }
        return UpdateNodePropsEvent;
    }(AbstractMutationNodeEvent));

    var WrapNodeEvent = (function (_super) {
        __extends$1(WrapNodeEvent, _super);
        function WrapNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'wrap:node';
            return _this;
        }
        return WrapNodeEvent;
    }(AbstractMutationNodeEvent));

    var AppendNodeEvent = (function (_super) {
        __extends$1(AppendNodeEvent, _super);
        function AppendNodeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'append:node';
            return _this;
        }
        return AppendNodeEvent;
    }(AbstractMutationNodeEvent));

    var AbstractViewportEvent = (function () {
        function AbstractViewportEvent(data) {
            this.data = data || {
                scrollX: window.scrollX,
                scrollY: window.scrollY,
                width: window.innerWidth,
                height: window.innerHeight,
                innerWidth: window.innerWidth,
                innerHeight: window.innerHeight,
                view: window,
                target: window,
            };
        }
        return AbstractViewportEvent;
    }());

    var ViewportResizeEvent = (function (_super) {
        __extends$1(ViewportResizeEvent, _super);
        function ViewportResizeEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'viewport:resize';
            return _this;
        }
        return ViewportResizeEvent;
    }(AbstractViewportEvent));

    var ViewportScrollEvent = (function (_super) {
        __extends$1(ViewportScrollEvent, _super);
        function ViewportScrollEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'viewport:scroll';
            return _this;
        }
        return ViewportScrollEvent;
    }(AbstractViewportEvent));

    var AbstractWorkspaceEvent = (function () {
        function AbstractWorkspaceEvent(data) {
            this.data = data;
        }
        return AbstractWorkspaceEvent;
    }());

    var AddWorkspaceEvent = (function (_super) {
        __extends$1(AddWorkspaceEvent, _super);
        function AddWorkspaceEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'add:workspace';
            return _this;
        }
        return AddWorkspaceEvent;
    }(AbstractWorkspaceEvent));

    var RemoveWorkspaceEvent = (function (_super) {
        __extends$1(RemoveWorkspaceEvent, _super);
        function RemoveWorkspaceEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'remove:workspace';
            return _this;
        }
        return RemoveWorkspaceEvent;
    }(AbstractWorkspaceEvent));

    var SwitchWorkspaceEvent = (function (_super) {
        __extends$1(SwitchWorkspaceEvent, _super);
        function SwitchWorkspaceEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'switch:workspace';
            return _this;
        }
        return SwitchWorkspaceEvent;
    }(AbstractWorkspaceEvent));

    var AbstractHistoryEvent = (function () {
        function AbstractHistoryEvent(data) {
            this.data = data;
        }
        return AbstractHistoryEvent;
    }());

    var HistoryUndoEvent = (function (_super) {
        __extends$1(HistoryUndoEvent, _super);
        function HistoryUndoEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'history:undo';
            return _this;
        }
        return HistoryUndoEvent;
    }(AbstractHistoryEvent));

    var HistoryRedoEvent = (function (_super) {
        __extends$1(HistoryRedoEvent, _super);
        function HistoryRedoEvent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'history:redo';
            return _this;
        }
        return HistoryRedoEvent;
    }(AbstractHistoryEvent));

    var GlobalState = {
        dragging: false,
        onMouseDownAt: 0,
        startEvent: null,
        moveEvent: null,
    };
    var DragDropDriver = (function (_super) {
        __extends$1(DragDropDriver, _super);
        function DragDropDriver() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.mouseDownTimer = null;
            _this.onMouseDown = function (e) {
                if (e.button !== 0 || e.ctrlKey || e.metaKey) {
                    return;
                }
                if (e.target['isContentEditable'] ||
                    e.target['contentEditable'] === 'true') {
                    return true;
                }
                GlobalState.startEvent = e;
                GlobalState.dragging = false;
                GlobalState.onMouseDownAt = Date.now();
                _this.batchAddEventListener('mouseup', _this.onMouseUp);
                _this.batchAddEventListener('dragend', _this.onMouseUp);
                _this.batchAddEventListener('dragstart', _this.onStartDrag);
                _this.batchAddEventListener('mousemove', _this.onDistanceChange);
            };
            _this.onMouseUp = function (e) {
                if (GlobalState.dragging) {
                    _this.dispatch(new DragStopEvent({
                        clientX: e.clientX,
                        clientY: e.clientY,
                        pageX: e.pageX,
                        pageY: e.pageY,
                        target: e.target,
                        view: e.view,
                    }));
                }
                _this.batchRemoveEventListener('contextmenu', _this.onContextMenuWhileDragging, true);
                _this.batchRemoveEventListener('mouseup', _this.onMouseUp);
                _this.batchRemoveEventListener('mousedown', _this.onMouseDown);
                _this.batchRemoveEventListener('dragover', _this.onMouseMove);
                _this.batchRemoveEventListener('mousemove', _this.onMouseMove);
                _this.batchRemoveEventListener('mousemove', _this.onDistanceChange);
                GlobalState.dragging = false;
            };
            _this.onMouseMove = function (e) {
                var _a, _b;
                if (e.clientX === ((_a = GlobalState.moveEvent) === null || _a === void 0 ? void 0 : _a.clientX) &&
                    e.clientY === ((_b = GlobalState.moveEvent) === null || _b === void 0 ? void 0 : _b.clientY))
                    return;
                _this.dispatch(new DragMoveEvent({
                    clientX: e.clientX,
                    clientY: e.clientY,
                    pageX: e.pageX,
                    pageY: e.pageY,
                    target: e.target,
                    view: e.view,
                }));
                GlobalState.moveEvent = e;
            };
            _this.onContextMenuWhileDragging = function (e) {
                e.preventDefault();
            };
            _this.onStartDrag = function (e) {
                if (GlobalState.dragging)
                    return;
                GlobalState.startEvent = GlobalState.startEvent || e;
                _this.batchAddEventListener('dragover', _this.onMouseMove);
                _this.batchAddEventListener('mousemove', _this.onMouseMove);
                _this.batchAddEventListener('contextmenu', _this.onContextMenuWhileDragging, true);
                _this.dispatch(new DragStartEvent({
                    clientX: GlobalState.startEvent.clientX,
                    clientY: GlobalState.startEvent.clientY,
                    pageX: GlobalState.startEvent.pageX,
                    pageY: GlobalState.startEvent.pageY,
                    target: GlobalState.startEvent.target,
                    view: GlobalState.startEvent.view,
                }));
                GlobalState.dragging = true;
            };
            _this.onDistanceChange = function (e) {
                var distance = Math.sqrt(Math.pow(e.pageX - GlobalState.startEvent.pageX, 2) +
                    Math.pow(e.pageY - GlobalState.startEvent.pageY, 2));
                var timeDelta = Date.now() - GlobalState.onMouseDownAt;
                if (timeDelta > 10 && e !== GlobalState.startEvent && distance > 4) {
                    _this.batchRemoveEventListener('mousemove', _this.onDistanceChange);
                    _this.onStartDrag(e);
                }
            };
            return _this;
        }
        DragDropDriver.prototype.attach = function () {
            this.batchAddEventListener('mousedown', this.onMouseDown, true);
        };
        DragDropDriver.prototype.detach = function () {
            GlobalState.dragging = false;
            GlobalState.moveEvent = null;
            GlobalState.onMouseDownAt = null;
            GlobalState.startEvent = null;
            this.batchRemoveEventListener('mousedown', this.onMouseDown, true);
            this.batchRemoveEventListener('dragstart', this.onStartDrag);
            this.batchRemoveEventListener('dragend', this.onMouseUp);
            this.batchRemoveEventListener('dragover', this.onMouseMove);
            this.batchRemoveEventListener('mouseup', this.onMouseUp);
            this.batchRemoveEventListener('mousemove', this.onMouseMove);
            this.batchRemoveEventListener('mousemove', this.onDistanceChange);
            this.batchRemoveEventListener('contextmenu', this.onContextMenuWhileDragging, true);
        };
        return DragDropDriver;
    }(Designable.Shared.EventDriver));

    var MouseClickDriver = (function (_super) {
        __extends$1(MouseClickDriver, _super);
        function MouseClickDriver() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.onMouseClick = function (e) {
                var target = e.target;
                if (target === null || target === void 0 ? void 0 : target.closest('*[data-click-stop-propagation]')) {
                    return;
                }
                _this.dispatch(new MouseClickEvent({
                    clientX: e.clientX,
                    clientY: e.clientY,
                    pageX: e.pageX,
                    pageY: e.pageY,
                    target: e.target,
                    view: e.view,
                }));
            };
            return _this;
        }
        MouseClickDriver.prototype.attach = function () {
            this.addEventListener('click', this.onMouseClick, {
                once: true,
            });
        };
        MouseClickDriver.prototype.detach = function () {
            this.removeEventListener('click', this.onMouseClick, {
                once: true,
            });
        };
        return MouseClickDriver;
    }(Designable.Shared.EventDriver));

    var MouseMoveDriver = (function (_super) {
        __extends$1(MouseMoveDriver, _super);
        function MouseMoveDriver() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.request = null;
            _this.onMouseMove = function (e) {
                _this.request = requestAnimationFrame(function () {
                    cancelAnimationFrame(_this.request);
                    _this.dispatch(new MouseMoveEvent({
                        clientX: e.clientX,
                        clientY: e.clientY,
                        pageX: e.pageX,
                        pageY: e.pageY,
                        target: e.target,
                        view: e.view,
                    }));
                });
            };
            return _this;
        }
        MouseMoveDriver.prototype.attach = function () {
            this.addEventListener('mousemove', this.onMouseMove, {
                once: true,
            });
        };
        MouseMoveDriver.prototype.detach = function () {
            this.removeEventListener('mouseover', this.onMouseMove, {
                once: true,
            });
        };
        return MouseMoveDriver;
    }(Designable.Shared.EventDriver));

    var resizeObservers = [];

    var hasActiveObservations = function () {
        return resizeObservers.some(function (ro) { return ro.activeTargets.length > 0; });
    };

    var hasSkippedObservations = function () {
        return resizeObservers.some(function (ro) { return ro.skippedTargets.length > 0; });
    };

    var msg = 'ResizeObserver loop completed with undelivered notifications.';
    var deliverResizeLoopError = function () {
        var event;
        if (typeof ErrorEvent === 'function') {
            event = new ErrorEvent('error', {
                message: msg
            });
        }
        else {
            event = document.createEvent('Event');
            event.initEvent('error', false, false);
            event.message = msg;
        }
        window.dispatchEvent(event);
    };

    var ResizeObserverBoxOptions;
    (function (ResizeObserverBoxOptions) {
        ResizeObserverBoxOptions["BORDER_BOX"] = "border-box";
        ResizeObserverBoxOptions["CONTENT_BOX"] = "content-box";
        ResizeObserverBoxOptions["DEVICE_PIXEL_CONTENT_BOX"] = "device-pixel-content-box";
    })(ResizeObserverBoxOptions || (ResizeObserverBoxOptions = {}));

    var freeze = function (obj) { return Object.freeze(obj); };

    var ResizeObserverSize = (function () {
        function ResizeObserverSize(inlineSize, blockSize) {
            this.inlineSize = inlineSize;
            this.blockSize = blockSize;
            freeze(this);
        }
        return ResizeObserverSize;
    }());

    var DOMRectReadOnly = (function () {
        function DOMRectReadOnly(x, y, width, height) {
            this.x = x;
            this.y = y;
            this.width = width;
            this.height = height;
            this.top = this.y;
            this.left = this.x;
            this.bottom = this.top + this.height;
            this.right = this.left + this.width;
            return freeze(this);
        }
        DOMRectReadOnly.prototype.toJSON = function () {
            var _a = this, x = _a.x, y = _a.y, top = _a.top, right = _a.right, bottom = _a.bottom, left = _a.left, width = _a.width, height = _a.height;
            return { x: x, y: y, top: top, right: right, bottom: bottom, left: left, width: width, height: height };
        };
        DOMRectReadOnly.fromRect = function (rectangle) {
            return new DOMRectReadOnly(rectangle.x, rectangle.y, rectangle.width, rectangle.height);
        };
        return DOMRectReadOnly;
    }());

    var isSVG = function (target) { return target instanceof SVGElement && 'getBBox' in target; };
    var isHidden = function (target) {
        if (isSVG(target)) {
            var _a = target.getBBox(), width = _a.width, height = _a.height;
            return !width && !height;
        }
        var _b = target, offsetWidth = _b.offsetWidth, offsetHeight = _b.offsetHeight;
        return !(offsetWidth || offsetHeight || target.getClientRects().length);
    };
    var isElement = function (obj) {
        var _a, _b;
        if (obj instanceof Element) {
            return true;
        }
        var scope = (_b = (_a = obj) === null || _a === void 0 ? void 0 : _a.ownerDocument) === null || _b === void 0 ? void 0 : _b.defaultView;
        return !!(scope && obj instanceof scope.Element);
    };
    var isReplacedElement = function (target) {
        switch (target.tagName) {
            case 'INPUT':
                if (target.type !== 'image') {
                    break;
                }
            case 'VIDEO':
            case 'AUDIO':
            case 'EMBED':
            case 'OBJECT':
            case 'CANVAS':
            case 'IFRAME':
            case 'IMG':
                return true;
        }
        return false;
    };

    var global$1 = typeof window !== 'undefined' ? window : {};

    var cache = new WeakMap();
    var scrollRegexp = /auto|scroll/;
    var verticalRegexp = /^tb|vertical/;
    var IE = (/msie|trident/i).test(global$1.navigator && global$1.navigator.userAgent);
    var parseDimension = function (pixel) { return parseFloat(pixel || '0'); };
    var size = function (inlineSize, blockSize, switchSizes) {
        if (inlineSize === void 0) { inlineSize = 0; }
        if (blockSize === void 0) { blockSize = 0; }
        if (switchSizes === void 0) { switchSizes = false; }
        return new ResizeObserverSize((switchSizes ? blockSize : inlineSize) || 0, (switchSizes ? inlineSize : blockSize) || 0);
    };
    var zeroBoxes = freeze({
        devicePixelContentBoxSize: size(),
        borderBoxSize: size(),
        contentBoxSize: size(),
        contentRect: new DOMRectReadOnly(0, 0, 0, 0)
    });
    var calculateBoxSizes = function (target, forceRecalculation) {
        if (forceRecalculation === void 0) { forceRecalculation = false; }
        if (cache.has(target) && !forceRecalculation) {
            return cache.get(target);
        }
        if (isHidden(target)) {
            cache.set(target, zeroBoxes);
            return zeroBoxes;
        }
        var cs = getComputedStyle(target);
        var svg = isSVG(target) && target.ownerSVGElement && target.getBBox();
        var removePadding = !IE && cs.boxSizing === 'border-box';
        var switchSizes = verticalRegexp.test(cs.writingMode || '');
        var canScrollVertically = !svg && scrollRegexp.test(cs.overflowY || '');
        var canScrollHorizontally = !svg && scrollRegexp.test(cs.overflowX || '');
        var paddingTop = svg ? 0 : parseDimension(cs.paddingTop);
        var paddingRight = svg ? 0 : parseDimension(cs.paddingRight);
        var paddingBottom = svg ? 0 : parseDimension(cs.paddingBottom);
        var paddingLeft = svg ? 0 : parseDimension(cs.paddingLeft);
        var borderTop = svg ? 0 : parseDimension(cs.borderTopWidth);
        var borderRight = svg ? 0 : parseDimension(cs.borderRightWidth);
        var borderBottom = svg ? 0 : parseDimension(cs.borderBottomWidth);
        var borderLeft = svg ? 0 : parseDimension(cs.borderLeftWidth);
        var horizontalPadding = paddingLeft + paddingRight;
        var verticalPadding = paddingTop + paddingBottom;
        var horizontalBorderArea = borderLeft + borderRight;
        var verticalBorderArea = borderTop + borderBottom;
        var horizontalScrollbarThickness = !canScrollHorizontally ? 0 : target.offsetHeight - verticalBorderArea - target.clientHeight;
        var verticalScrollbarThickness = !canScrollVertically ? 0 : target.offsetWidth - horizontalBorderArea - target.clientWidth;
        var widthReduction = removePadding ? horizontalPadding + horizontalBorderArea : 0;
        var heightReduction = removePadding ? verticalPadding + verticalBorderArea : 0;
        var contentWidth = svg ? svg.width : parseDimension(cs.width) - widthReduction - verticalScrollbarThickness;
        var contentHeight = svg ? svg.height : parseDimension(cs.height) - heightReduction - horizontalScrollbarThickness;
        var borderBoxWidth = contentWidth + horizontalPadding + verticalScrollbarThickness + horizontalBorderArea;
        var borderBoxHeight = contentHeight + verticalPadding + horizontalScrollbarThickness + verticalBorderArea;
        var boxes = freeze({
            devicePixelContentBoxSize: size(Math.round(contentWidth * devicePixelRatio), Math.round(contentHeight * devicePixelRatio), switchSizes),
            borderBoxSize: size(borderBoxWidth, borderBoxHeight, switchSizes),
            contentBoxSize: size(contentWidth, contentHeight, switchSizes),
            contentRect: new DOMRectReadOnly(paddingLeft, paddingTop, contentWidth, contentHeight)
        });
        cache.set(target, boxes);
        return boxes;
    };
    var calculateBoxSize = function (target, observedBox, forceRecalculation) {
        var _a = calculateBoxSizes(target, forceRecalculation), borderBoxSize = _a.borderBoxSize, contentBoxSize = _a.contentBoxSize, devicePixelContentBoxSize = _a.devicePixelContentBoxSize;
        switch (observedBox) {
            case ResizeObserverBoxOptions.DEVICE_PIXEL_CONTENT_BOX:
                return devicePixelContentBoxSize;
            case ResizeObserverBoxOptions.BORDER_BOX:
                return borderBoxSize;
            default:
                return contentBoxSize;
        }
    };

    var ResizeObserverEntry = (function () {
        function ResizeObserverEntry(target) {
            var boxes = calculateBoxSizes(target);
            this.target = target;
            this.contentRect = boxes.contentRect;
            this.borderBoxSize = freeze([boxes.borderBoxSize]);
            this.contentBoxSize = freeze([boxes.contentBoxSize]);
            this.devicePixelContentBoxSize = freeze([boxes.devicePixelContentBoxSize]);
        }
        return ResizeObserverEntry;
    }());

    var calculateDepthForNode = function (node) {
        if (isHidden(node)) {
            return Infinity;
        }
        var depth = 0;
        var parent = node.parentNode;
        while (parent) {
            depth += 1;
            parent = parent.parentNode;
        }
        return depth;
    };

    var broadcastActiveObservations = function () {
        var shallowestDepth = Infinity;
        var callbacks = [];
        resizeObservers.forEach(function processObserver(ro) {
            if (ro.activeTargets.length === 0) {
                return;
            }
            var entries = [];
            ro.activeTargets.forEach(function processTarget(ot) {
                var entry = new ResizeObserverEntry(ot.target);
                var targetDepth = calculateDepthForNode(ot.target);
                entries.push(entry);
                ot.lastReportedSize = calculateBoxSize(ot.target, ot.observedBox);
                if (targetDepth < shallowestDepth) {
                    shallowestDepth = targetDepth;
                }
            });
            callbacks.push(function resizeObserverCallback() {
                ro.callback.call(ro.observer, entries, ro.observer);
            });
            ro.activeTargets.splice(0, ro.activeTargets.length);
        });
        for (var _i = 0, callbacks_1 = callbacks; _i < callbacks_1.length; _i++) {
            var callback = callbacks_1[_i];
            callback();
        }
        return shallowestDepth;
    };

    var gatherActiveObservationsAtDepth = function (depth) {
        resizeObservers.forEach(function processObserver(ro) {
            ro.activeTargets.splice(0, ro.activeTargets.length);
            ro.skippedTargets.splice(0, ro.skippedTargets.length);
            ro.observationTargets.forEach(function processTarget(ot) {
                if (ot.isActive()) {
                    if (calculateDepthForNode(ot.target) > depth) {
                        ro.activeTargets.push(ot);
                    }
                    else {
                        ro.skippedTargets.push(ot);
                    }
                }
            });
        });
    };

    var process = function () {
        var depth = 0;
        gatherActiveObservationsAtDepth(depth);
        while (hasActiveObservations()) {
            depth = broadcastActiveObservations();
            gatherActiveObservationsAtDepth(depth);
        }
        if (hasSkippedObservations()) {
            deliverResizeLoopError();
        }
        return depth > 0;
    };

    var trigger;
    var callbacks = [];
    var notify = function () { return callbacks.splice(0).forEach(function (cb) { return cb(); }); };
    var queueMicroTask = function (callback) {
        if (!trigger) {
            var toggle_1 = 0;
            var el_1 = document.createTextNode('');
            var config = { characterData: true };
            new MutationObserver(function () { return notify(); }).observe(el_1, config);
            trigger = function () { el_1.textContent = "" + (toggle_1 ? toggle_1-- : toggle_1++); };
        }
        callbacks.push(callback);
        trigger();
    };

    var queueResizeObserver = function (cb) {
        queueMicroTask(function ResizeObserver() {
            requestAnimationFrame(cb);
        });
    };

    var watching = 0;
    var isWatching = function () { return !!watching; };
    var CATCH_PERIOD = 250;
    var observerConfig = { attributes: true, characterData: true, childList: true, subtree: true };
    var events = [
        'resize',
        'load',
        'transitionend',
        'animationend',
        'animationstart',
        'animationiteration',
        'keyup',
        'keydown',
        'mouseup',
        'mousedown',
        'mouseover',
        'mouseout',
        'blur',
        'focus'
    ];
    var time = function (timeout) {
        if (timeout === void 0) { timeout = 0; }
        return Date.now() + timeout;
    };
    var scheduled = false;
    var Scheduler = (function () {
        function Scheduler() {
            var _this = this;
            this.stopped = true;
            this.listener = function () { return _this.schedule(); };
        }
        Scheduler.prototype.run = function (timeout) {
            var _this = this;
            if (timeout === void 0) { timeout = CATCH_PERIOD; }
            if (scheduled) {
                return;
            }
            scheduled = true;
            var until = time(timeout);
            queueResizeObserver(function () {
                var elementsHaveResized = false;
                try {
                    elementsHaveResized = process();
                }
                finally {
                    scheduled = false;
                    timeout = until - time();
                    if (!isWatching()) {
                        return;
                    }
                    if (elementsHaveResized) {
                        _this.run(1000);
                    }
                    else if (timeout > 0) {
                        _this.run(timeout);
                    }
                    else {
                        _this.start();
                    }
                }
            });
        };
        Scheduler.prototype.schedule = function () {
            this.stop();
            this.run();
        };
        Scheduler.prototype.observe = function () {
            var _this = this;
            var cb = function () { return _this.observer && _this.observer.observe(document.body, observerConfig); };
            document.body ? cb() : global$1.addEventListener('DOMContentLoaded', cb);
        };
        Scheduler.prototype.start = function () {
            var _this = this;
            if (this.stopped) {
                this.stopped = false;
                this.observer = new MutationObserver(this.listener);
                this.observe();
                events.forEach(function (name) { return global$1.addEventListener(name, _this.listener, true); });
            }
        };
        Scheduler.prototype.stop = function () {
            var _this = this;
            if (!this.stopped) {
                this.observer && this.observer.disconnect();
                events.forEach(function (name) { return global$1.removeEventListener(name, _this.listener, true); });
                this.stopped = true;
            }
        };
        return Scheduler;
    }());
    var scheduler = new Scheduler();
    var updateCount = function (n) {
        !watching && n > 0 && scheduler.start();
        watching += n;
        !watching && scheduler.stop();
    };

    var skipNotifyOnElement = function (target) {
        return !isSVG(target)
            && !isReplacedElement(target)
            && getComputedStyle(target).display === 'inline';
    };
    var ResizeObservation = (function () {
        function ResizeObservation(target, observedBox) {
            this.target = target;
            this.observedBox = observedBox || ResizeObserverBoxOptions.CONTENT_BOX;
            this.lastReportedSize = {
                inlineSize: 0,
                blockSize: 0
            };
        }
        ResizeObservation.prototype.isActive = function () {
            var size = calculateBoxSize(this.target, this.observedBox, true);
            if (skipNotifyOnElement(this.target)) {
                this.lastReportedSize = size;
            }
            if (this.lastReportedSize.inlineSize !== size.inlineSize
                || this.lastReportedSize.blockSize !== size.blockSize) {
                return true;
            }
            return false;
        };
        return ResizeObservation;
    }());

    var ResizeObserverDetail = (function () {
        function ResizeObserverDetail(resizeObserver, callback) {
            this.activeTargets = [];
            this.skippedTargets = [];
            this.observationTargets = [];
            this.observer = resizeObserver;
            this.callback = callback;
        }
        return ResizeObserverDetail;
    }());

    var observerMap = new WeakMap();
    var getObservationIndex = function (observationTargets, target) {
        for (var i = 0; i < observationTargets.length; i += 1) {
            if (observationTargets[i].target === target) {
                return i;
            }
        }
        return -1;
    };
    var ResizeObserverController = (function () {
        function ResizeObserverController() {
        }
        ResizeObserverController.connect = function (resizeObserver, callback) {
            var detail = new ResizeObserverDetail(resizeObserver, callback);
            observerMap.set(resizeObserver, detail);
        };
        ResizeObserverController.observe = function (resizeObserver, target, options) {
            var detail = observerMap.get(resizeObserver);
            var firstObservation = detail.observationTargets.length === 0;
            if (getObservationIndex(detail.observationTargets, target) < 0) {
                firstObservation && resizeObservers.push(detail);
                detail.observationTargets.push(new ResizeObservation(target, options && options.box));
                updateCount(1);
                scheduler.schedule();
            }
        };
        ResizeObserverController.unobserve = function (resizeObserver, target) {
            var detail = observerMap.get(resizeObserver);
            var index = getObservationIndex(detail.observationTargets, target);
            var lastObservation = detail.observationTargets.length === 1;
            if (index >= 0) {
                lastObservation && resizeObservers.splice(resizeObservers.indexOf(detail), 1);
                detail.observationTargets.splice(index, 1);
                updateCount(-1);
            }
        };
        ResizeObserverController.disconnect = function (resizeObserver) {
            var _this = this;
            var detail = observerMap.get(resizeObserver);
            detail.observationTargets.slice().forEach(function (ot) { return _this.unobserve(resizeObserver, ot.target); });
            detail.activeTargets.splice(0, detail.activeTargets.length);
        };
        return ResizeObserverController;
    }());

    var ResizeObserver = (function () {
        function ResizeObserver(callback) {
            if (arguments.length === 0) {
                throw new TypeError("Failed to construct 'ResizeObserver': 1 argument required, but only 0 present.");
            }
            if (typeof callback !== 'function') {
                throw new TypeError("Failed to construct 'ResizeObserver': The callback provided as parameter 1 is not a function.");
            }
            ResizeObserverController.connect(this, callback);
        }
        ResizeObserver.prototype.observe = function (target, options) {
            if (arguments.length === 0) {
                throw new TypeError("Failed to execute 'observe' on 'ResizeObserver': 1 argument required, but only 0 present.");
            }
            if (!isElement(target)) {
                throw new TypeError("Failed to execute 'observe' on 'ResizeObserver': parameter 1 is not of type 'Element");
            }
            ResizeObserverController.observe(this, target, options);
        };
        ResizeObserver.prototype.unobserve = function (target) {
            if (arguments.length === 0) {
                throw new TypeError("Failed to execute 'unobserve' on 'ResizeObserver': 1 argument required, but only 0 present.");
            }
            if (!isElement(target)) {
                throw new TypeError("Failed to execute 'unobserve' on 'ResizeObserver': parameter 1 is not of type 'Element");
            }
            ResizeObserverController.unobserve(this, target);
        };
        ResizeObserver.prototype.disconnect = function () {
            ResizeObserverController.disconnect(this);
        };
        ResizeObserver.toString = function () {
            return 'function ResizeObserver () { [polyfill code] }';
        };
        return ResizeObserver;
    }());

    var ViewportResizeDriver = (function (_super) {
        __extends$1(ViewportResizeDriver, _super);
        function ViewportResizeDriver() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.request = null;
            _this.resizeObserver = null;
            _this.onResize = function (e) {
                if (e.preventDefault)
                    e.preventDefault();
                _this.request = requestAnimationFrame(function () {
                    cancelAnimationFrame(_this.request);
                    _this.dispatch(new ViewportResizeEvent({
                        scrollX: _this.contentWindow.scrollX,
                        scrollY: _this.contentWindow.scrollY,
                        width: _this.contentWindow.innerWidth,
                        height: _this.contentWindow.innerHeight,
                        innerHeight: _this.contentWindow.innerHeight,
                        innerWidth: _this.contentWindow.innerWidth,
                        view: _this.contentWindow,
                        target: e.target || _this.container,
                    }));
                });
            };
            return _this;
        }
        ViewportResizeDriver.prototype.attach = function () {
            if (this.contentWindow !== window) {
                this.addEventListener('resize', this.onResize);
            }
            else {
                if (this.container !== document) {
                    this.resizeObserver = new ResizeObserver(this.onResize);
                    this.resizeObserver.observe(this.container);
                }
            }
        };
        ViewportResizeDriver.prototype.detach = function () {
            if (this.contentWindow !== window) {
                this.removeEventListener('resize', this.onResize);
            }
            else if (this.resizeObserver) {
                if (this.container !== document) {
                    this.resizeObserver.unobserve(this.container);
                    this.resizeObserver.disconnect();
                }
            }
        };
        return ViewportResizeDriver;
    }(Designable.Shared.EventDriver));

    var ViewportScrollDriver = (function (_super) {
        __extends$1(ViewportScrollDriver, _super);
        function ViewportScrollDriver() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.request = null;
            _this.onScroll = function (e) {
                e.preventDefault();
                _this.request = window.requestAnimationFrame(function () {
                    _this.dispatch(new ViewportScrollEvent({
                        scrollX: _this.contentWindow.scrollX,
                        scrollY: _this.contentWindow.scrollY,
                        width: _this.contentWindow.document.body.clientWidth,
                        height: _this.contentWindow.document.body.clientHeight,
                        innerHeight: _this.contentWindow.innerHeight,
                        innerWidth: _this.contentWindow.innerWidth,
                        view: _this.contentWindow,
                        target: e.target,
                    }));
                    cancelAnimationFrame(_this.request);
                });
            };
            return _this;
        }
        ViewportScrollDriver.prototype.attach = function () {
            this.addEventListener('scroll', this.onScroll);
        };
        ViewportScrollDriver.prototype.detach = function () {
            this.removeEventListener('scroll', this.onScroll);
        };
        return ViewportScrollDriver;
    }(Designable.Shared.EventDriver));

    function filter(event) {
        var target = event.target;
        var tagName = target.tagName;
        var flag = true;
        if (target['isContentEditable'] ||
            ((tagName === 'INPUT' || tagName === 'TEXTAREA' || tagName === 'SELECT') &&
                !target.readOnly)) {
            flag = false;
        }
        return flag;
    }
    var KeyboardDriver = (function (_super) {
        __extends$1(KeyboardDriver, _super);
        function KeyboardDriver() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.onKeyDown = function (e) {
                if (!filter(e))
                    return;
                _this.dispatch(new KeyDownEvent(e));
            };
            _this.onKeyUp = function (e) {
                _this.dispatch(new KeyUpEvent(e));
            };
            return _this;
        }
        KeyboardDriver.prototype.attach = function () {
            this.addEventListener('keydown', this.onKeyDown, {
                once: true,
            });
            this.addEventListener('keyup', this.onKeyUp, {
                once: true,
            });
        };
        KeyboardDriver.prototype.detach = function () {
            this.removeEventListener('keydown', this.onKeyDown, {
                once: true,
            });
            this.removeEventListener('keyup', this.onKeyUp, {
                once: true,
            });
        };
        return KeyboardDriver;
    }(Designable.Shared.EventDriver));

    var getBrowserlanguage = function () {
        var _a;
        if (!window.navigator) {
            return 'en';
        }
        return (window.navigator['browserlanguage'] || ((_a = window.navigator) === null || _a === void 0 ? void 0 : _a.language) || 'en');
    };
    var getISOCode = function (language) {
        var isoCode = DESINGER_LOCALES.language;
        if (DESINGER_LOCALES.messages[language]) {
            return language;
        }
        Designable.Shared.each(DESINGER_LOCALES.messages, function (_, key) {
            if (key.indexOf(language) > -1 || String(language).indexOf(key) > -1) {
                isoCode = key;
                return false;
            }
        });
        return isoCode;
    };
    var DESINGER_PROPS_MAP = {
        Root: {
            droppable: true,
            cloneable: false,
            deletable: false,
        },
    };
    var DESINGER_ICONS_MAP = {};
    var DESINGER_LOCALES = Formily.Reactive.define({
        messages: {},
        language: getBrowserlanguage(),
    }, {
        language: Formily.Reactive.observable.ref,
    });
    var mergeLocales = function (target, source) {
        if (Designable.Shared.isPlainObj(target) && Designable.Shared.isPlainObj(source)) {
            Designable.Shared.each(source, function (value, key) {
                target[key] = mergeLocales(target[key], value);
            });
            return target;
        }
        return source;
    };
    var DESIGNER_GlobalRegistry = {
        setComponentDesignerProps: function (componentName, props) {
            var originProps = GlobalRegistry.getComponentDesignerProps(componentName);
            DESINGER_PROPS_MAP[componentName] = function (node) {
                if (Designable.Shared.isFn(originProps)) {
                    if (Designable.Shared.isFn(props)) {
                        return __assign$1(__assign$1({}, originProps(node)), props(node));
                    }
                    else {
                        return __assign$1(__assign$1({}, originProps(node)), props);
                    }
                }
                else if (Designable.Shared.isFn(props)) {
                    return __assign$1(__assign$1({}, originProps), props(node));
                }
                else {
                    return __assign$1(__assign$1({}, originProps), props);
                }
            };
        },
        getComponentDesignerProps: function (componentName) {
            return DESINGER_PROPS_MAP[componentName] || {};
        },
        registerDesignerProps: function (map) {
            Designable.Shared.each(map, function (props, componentName) {
                GlobalRegistry.setComponentDesignerProps(componentName, props);
            });
        },
        registerDesignerIcons: function (map) {
            Object.assign(DESINGER_ICONS_MAP, map);
        },
        getDesignerIcon: function (name) {
            return DESINGER_ICONS_MAP[name];
        },
        setDesignerLanguage: function (lang) {
            DESINGER_LOCALES.language = lang;
        },
        getDesignerLanguage: function () {
            return DESINGER_LOCALES.language;
        },
        getDesignerMessage: function (token) {
            var lang = getISOCode(DESINGER_LOCALES.language);
            var locale = DESINGER_LOCALES.messages[lang];
            if (!locale) {
                for (var key in DESINGER_LOCALES.messages) {
                    var message = Formily.Path.Path.getIn(DESINGER_LOCALES.messages[key], token);
                    if (message)
                        return message;
                }
                return;
            }
            return Formily.Path.Path.getIn(locale, token);
        },
        registerDesignerLocales: function () {
            var packages = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                packages[_i] = arguments[_i];
            }
            packages.forEach(function (locales) {
                mergeLocales(DESINGER_LOCALES.messages, locales);
            });
        },
    };
    var GlobalRegistry = window['__DESIGNER_GlobalRegistry__'] || DESIGNER_GlobalRegistry;

    var TreeNodes = new Map();
    var CommonDesignerPropsMap = new Map();
    var removeNode = function (node) {
        if (node.parent) {
            node.parent.children = node.parent.children.filter(function (child) { return child !== node; });
        }
    };
    var resetDepth = function (node) {
        node.depth = node.parent.depth + 1;
        node.children.forEach(resetDepth);
    };
    var resetNodesParent = function (nodes, parent) {
        return nodes.map(function (node) {
            var _a, _b, _c;
            if ((_a = node === null || node === void 0 ? void 0 : node.root) === null || _a === void 0 ? void 0 : _a.operation) {
                (_c = (_b = node === null || node === void 0 ? void 0 : node.root) === null || _b === void 0 ? void 0 : _b.operation) === null || _c === void 0 ? void 0 : _c.selection.remove(node);
                removeNode(node);
                node.parent = parent;
                node.root = parent.root;
                resetDepth(node);
            }
            else if (node.parent && node.root) {
                node = node.clone(parent);
            }
            else {
                node.parent = parent;
                node.root = parent.root;
                resetDepth(node);
                resetNodesParent(node.children, node);
            }
            if (!TreeNodes.has(node.id)) {
                TreeNodes.set(node.id, node);
                CommonDesignerPropsMap.set(node.componentName, node.designerProps);
            }
            return node;
        });
    };
    var TreeNode = (function () {
        function TreeNode(node, parent) {
            this.depth = 0;
            this.hidden = false;
            this.componentName = 'NO_NAME_COMPONENT';
            this.props = {};
            this.children = [];
            this.id = node.id || Designable.Shared.uid();
            if (parent) {
                this.parent = parent;
                this.depth = parent.depth + 1;
                this.root = parent.root;
                TreeNodes.set(this.id, this);
            }
            else {
                this.root = this;
                this.operation = node.operation;
                TreeNodes.set(this.id, this);
            }
            if (node) {
                this.from(node);
            }
            this.makeObservable();
        }
        TreeNode.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                componentName: Formily.Reactive.observable.ref,
                props: Formily.Reactive.observable,
                hidden: Formily.Reactive.observable.ref,
                children: Formily.Reactive.observable.shallow,
                wrapNode: Formily.Reactive.action,
                prependNode: Formily.Reactive.action,
                appendNode: Formily.Reactive.action,
                insertAfter: Formily.Reactive.action,
                insertBefore: Formily.Reactive.action,
                remove: Formily.Reactive.action,
                setNodeProps: Formily.Reactive.action,
                setNodeChildren: Formily.Reactive.action,
                setComponentName: Formily.Reactive.action,
            });
        };
        Object.defineProperty(TreeNode.prototype, "designerProps", {
            get: function () {
                var _a, _b;
                var designerProps = GlobalRegistry.getComponentDesignerProps(this.componentName);
                var finallyDesignerProps = {};
                if (Designable.Shared.isFn(designerProps)) {
                    Object.assign(finallyDesignerProps, designerProps(this), this.originDesignerProps);
                }
                else {
                    Object.assign(finallyDesignerProps, designerProps, this.originDesignerProps);
                }
                var display = (_b = (_a = this.props) === null || _a === void 0 ? void 0 : _a.style) === null || _b === void 0 ? void 0 : _b.display;
                if (display) {
                    finallyDesignerProps.inlineLayout =
                        display === 'inline' || display === 'inline-block';
                }
                return finallyDesignerProps;
            },
            set: function (props) {
                this.originDesignerProps = props || {};
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TreeNode.prototype, "previous", {
            get: function () {
                return this.parent.children[this.index - 1];
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TreeNode.prototype, "after", {
            get: function () {
                return this.parent.children[this.index + 1];
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TreeNode.prototype, "siblings", {
            get: function () {
                var _this = this;
                if (this.parent) {
                    return this.parent.children.filter(function (node) { return node !== _this; });
                }
                return [];
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TreeNode.prototype, "index", {
            get: function () {
                var _a, _b;
                return ((_b = (_a = this.parent) === null || _a === void 0 ? void 0 : _a.children) === null || _b === void 0 ? void 0 : _b.indexOf(this)) || -1;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TreeNode.prototype, "childrens", {
            get: function () {
                return this.children.reduce(function (buf, node) {
                    return buf.concat(node).concat(node.childrens);
                }, []);
            },
            enumerable: false,
            configurable: true
        });
        TreeNode.prototype.getPrevious = function (step) {
            if (step === void 0) { step = 1; }
            return this.parent.children[this.index - step];
        };
        TreeNode.prototype.getAfter = function (step) {
            if (step === void 0) { step = 1; }
            return this.parent.children[this.index + step];
        };
        TreeNode.prototype.getSibling = function (index) {
            if (index === void 0) { index = 0; }
            return this.parent.children[index];
        };
        TreeNode.prototype.isMyAncestor = function (node) {
            if (node === this || (this === null || this === void 0 ? void 0 : this.parent) === node)
                return false;
            return node.contains(this);
        };
        TreeNode.prototype.isMyParent = function (node) {
            return (this === null || this === void 0 ? void 0 : this.parent) === node;
        };
        TreeNode.prototype.isMyParents = function (node) {
            if (node === this)
                return false;
            return this.isMyParent(node) || this.isMyAncestor(node);
        };
        TreeNode.prototype.isMyChild = function (node) {
            return node.isMyParent(this);
        };
        TreeNode.prototype.isMyChildren = function (node) {
            return node.isMyParents(this);
        };
        TreeNode.prototype.triggerMutation = function (event) {
            var _a;
            if ((_a = this === null || this === void 0 ? void 0 : this.root) === null || _a === void 0 ? void 0 : _a.operation) {
                this.root.operation.dispatch(event);
                this.root.operation.snapshot();
            }
        };
        TreeNode.prototype.find = function (finder) {
            if (finder(this)) {
                return this;
            }
            else {
                var finded_1 = undefined;
                this.eachChildren(function (node) {
                    if (finder(node)) {
                        finded_1 = node;
                        return false;
                    }
                });
                return finded_1;
            }
        };
        TreeNode.prototype.findAll = function (finder) {
            var results = [];
            if (finder(this)) {
                results.push(this);
            }
            this.eachChildren(function (node) {
                if (finder(node)) {
                    results.push(node);
                }
            });
            return results;
        };
        TreeNode.prototype.distanceTo = function (node) {
            if (this.root !== node.root) {
                return Infinity;
            }
            if (this.parent !== node.parent) {
                return Infinity;
            }
            return Math.abs(this.index - node.index);
        };
        TreeNode.prototype.crossSiblings = function (node) {
            if (this.parent !== node.parent)
                return [];
            var minIndex = Math.min(this.index, node.index);
            var maxIndex = Math.max(this.index, node.index);
            var results = [];
            for (var i = minIndex + 1; i < maxIndex; i++) {
                results.push(this.parent.children[i]);
            }
            return results;
        };
        TreeNode.prototype.matchNodeMeta = function (meta) {
            if ((meta === null || meta === void 0 ? void 0 : meta.componentName) === this.componentName)
                return true;
            if ((meta === null || meta === void 0 ? void 0 : meta.id) === this.id)
                return true;
            return false;
        };
        TreeNode.prototype.allowSibling = function (nodes) {
            var _a, _b, _c;
            if (((_b = (_a = this.designerProps) === null || _a === void 0 ? void 0 : _a.allowSiblings) === null || _b === void 0 ? void 0 : _b.call(_a, this, nodes)) === false)
                return false;
            return (_c = this.parent) === null || _c === void 0 ? void 0 : _c.allowAppend(nodes);
        };
        TreeNode.prototype.allowAppend = function (nodes) {
            var _a, _b, _c;
            if (!((_a = this.designerProps) === null || _a === void 0 ? void 0 : _a.droppable))
                return false;
            if (((_c = (_b = this.designerProps) === null || _b === void 0 ? void 0 : _b.allowAppend) === null || _c === void 0 ? void 0 : _c.call(_b, this, nodes)) === false)
                return false;
            return true;
        };
        TreeNode.prototype.findById = function (id) {
            var _a;
            if (!id)
                return;
            if (this.id === id)
                return this;
            if (((_a = this.children) === null || _a === void 0 ? void 0 : _a.length) > 0) {
                return TreeNodes.get(id);
            }
        };
        TreeNode.prototype.getParents = function (node) {
            var _node = node || this;
            return (_node === null || _node === void 0 ? void 0 : _node.parent) ? [_node.parent].concat(this.getParents(_node.parent))
                : [];
        };
        TreeNode.prototype.getParentByDepth = function (depth) {
            if (depth === void 0) { depth = 0; }
            var parent = this.parent;
            if ((parent === null || parent === void 0 ? void 0 : parent.depth) === depth) {
                return parent;
            }
            else {
                return parent === null || parent === void 0 ? void 0 : parent.getParentByDepth(depth);
            }
        };
        TreeNode.prototype.contains = function () {
            var _this = this;
            var nodes = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                nodes[_i] = arguments[_i];
            }
            return nodes.every(function (node) {
                if (node === _this ||
                    (node === null || node === void 0 ? void 0 : node.parent) === _this ||
                    (node === null || node === void 0 ? void 0 : node.getParentByDepth(_this.depth)) === _this) {
                    return true;
                }
                return false;
            });
        };
        TreeNode.prototype.eachChildren = function (callback) {
            if (Designable.Shared.isFn(callback)) {
                for (var i = 0; i < this.children.length; i++) {
                    var node = this.children[i];
                    if (callback(node) === false)
                        return;
                    node.eachChildren(callback);
                }
            }
        };
        TreeNode.prototype.resetNodesParent = function (nodes, parent) {
            var _this = this;
            return resetNodesParent(nodes.filter(function (node) { return node !== _this; }), parent);
        };
        TreeNode.prototype.setNodeProps = function (props) {
            Object.assign(this.props, props);
            this.triggerMutation(new UpdateNodePropsEvent({
                target: this,
                source: null,
            }));
        };
        TreeNode.prototype.setComponentName = function (name) {
            this.componentName = name;
        };
        TreeNode.prototype.prependNode = function () {
            var _this = this;
            var nodes = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                nodes[_i] = arguments[_i];
            }
            if (nodes.some(function (node) { return node.contains(_this); }))
                return [];
            var newNodes = this.resetNodesParent(nodes, this);
            if (!newNodes.length)
                return [];
            this.children = newNodes.concat(this.children);
            this.triggerMutation(new PrependNodeEvent({
                target: this,
                source: newNodes,
            }));
            return newNodes;
        };
        TreeNode.prototype.appendNode = function () {
            var _this = this;
            var nodes = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                nodes[_i] = arguments[_i];
            }
            if (nodes.some(function (node) { return node.contains(_this); }))
                return [];
            var newNodes = this.resetNodesParent(nodes, this);
            if (!newNodes.length)
                return [];
            this.children = this.children.concat(newNodes);
            this.triggerMutation(new AppendNodeEvent({
                target: this,
                source: newNodes,
            }));
            return newNodes;
        };
        TreeNode.prototype.wrapNode = function (wrapper) {
            var _this = this;
            if (wrapper === this)
                return;
            wrapper.parent = this.parent;
            wrapper.root = this.root;
            if (this.parent) {
                this.parent.children = this.parent.children.map(function (node) {
                    if (node === _this) {
                        return wrapper;
                    }
                    return node;
                });
                this.parent = wrapper;
                wrapper.children.push(this);
            }
            else {
                this.parent = wrapper;
                wrapper.children.push(this);
            }
            this.triggerMutation(new WrapNodeEvent({
                target: this,
                source: wrapper,
            }));
            return wrapper;
        };
        TreeNode.prototype.insertAfter = function () {
            var _this = this;
            var _a;
            var nodes = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                nodes[_i] = arguments[_i];
            }
            var parent = this.parent;
            if (nodes.some(function (node) { return node.contains(_this); }))
                return [];
            if ((_a = parent === null || parent === void 0 ? void 0 : parent.children) === null || _a === void 0 ? void 0 : _a.length) {
                var newNodes_1 = this.resetNodesParent(nodes, parent);
                if (!newNodes_1.length)
                    return [];
                parent.children = parent.children.reduce(function (buf, node) {
                    if (node === _this) {
                        return buf.concat([node]).concat(newNodes_1);
                    }
                    else {
                        return buf.concat([node]);
                    }
                }, []);
                this.triggerMutation(new InsertAfterEvent({
                    target: this,
                    source: newNodes_1,
                }));
                return newNodes_1;
            }
            return [];
        };
        TreeNode.prototype.insertBefore = function () {
            var _this = this;
            var _a;
            var nodes = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                nodes[_i] = arguments[_i];
            }
            var parent = this.parent;
            if (nodes.some(function (node) { return node.contains(_this); }))
                return [];
            if ((_a = parent === null || parent === void 0 ? void 0 : parent.children) === null || _a === void 0 ? void 0 : _a.length) {
                var newNodes_2 = this.resetNodesParent(nodes, parent);
                if (!newNodes_2.length)
                    return [];
                parent.children = parent.children.reduce(function (buf, node) {
                    if (node === _this) {
                        return buf.concat(newNodes_2).concat([node]);
                    }
                    else {
                        return buf.concat([node]);
                    }
                }, []);
                this.triggerMutation(new InsertBeforeEvent({
                    target: this,
                    source: newNodes_2,
                }));
                return newNodes_2;
            }
            return [];
        };
        TreeNode.prototype.insertChildren = function (start) {
            var _this = this;
            var _a;
            var nodes = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                nodes[_i - 1] = arguments[_i];
            }
            if (nodes.some(function (node) { return node.contains(_this); }))
                return [];
            if ((_a = this.children) === null || _a === void 0 ? void 0 : _a.length) {
                var newNodes_3 = this.resetNodesParent(nodes, this);
                if (!newNodes_3.length)
                    return [];
                this.children = this.children.reduce(function (buf, node, index) {
                    if (index === start) {
                        return buf.concat(newNodes_3).concat([node]);
                    }
                    return buf.concat([node]);
                }, []);
                this.triggerMutation(new InsertChildrenEvent({
                    target: this,
                    source: newNodes_3,
                }));
                return newNodes_3;
            }
            return [];
        };
        TreeNode.prototype.setNodeChildren = function () {
            var nodes = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                nodes[_i] = arguments[_i];
            }
            var newNodes = this.resetNodesParent(nodes, this);
            this.children = newNodes;
            this.triggerMutation(new UpdateChildrenEvent({
                target: this,
                source: newNodes,
            }));
            return newNodes;
        };
        TreeNode.prototype.remove = function () {
            removeNode(this);
            TreeNodes.delete(this.id);
            this.triggerMutation(new RemoveNodeEvent({
                target: this,
                source: null,
            }));
        };
        TreeNode.prototype.clone = function (parent) {
            var _this = this;
            return new TreeNode({
                id: Designable.Shared.uid(),
                componentName: this.componentName,
                props: Formily.Reactive.toJS(this.props),
                children: this.children.map(function (treeNode) {
                    return treeNode.clone(_this);
                }),
            }, parent ? parent : this.parent);
        };
        TreeNode.prototype.from = function (node) {
            var _this = this;
            var _a, _b, _c;
            if (!node)
                return;
            if (node.id && node.id !== this.id) {
                TreeNodes.delete(this.id);
                TreeNodes.set(node.id, this);
                this.id = node.id;
            }
            if (node.componentName) {
                this.componentName = node.componentName;
            }
            this.props = __assign$1(__assign$1({}, (_a = this.designerProps) === null || _a === void 0 ? void 0 : _a.defaultProps), node.props);
            if (node.hidden) {
                this.hidden = node.hidden;
            }
            if (node.children) {
                this.children =
                    ((_c = (_b = node.children) === null || _b === void 0 ? void 0 : _b.map) === null || _c === void 0 ? void 0 : _c.call(_b, function (node) {
                        return new TreeNode(node, _this);
                    })) || [];
            }
        };
        TreeNode.prototype.serialize = function () {
            return {
                id: this.id,
                componentName: this.componentName,
                props: Formily.Reactive.toJS(this.props),
                hidden: this.hidden,
                children: this.children.map(function (treeNode) {
                    return treeNode.serialize();
                }),
            };
        };
        TreeNode.prototype.create = function (node, parent) {
            return new TreeNode(node, parent);
        };
        return TreeNode;
    }());

    var toArray = function (target) {
        return Array.from(target || []);
    };
    var Selector = (function () {
        function Selector() {
            this.store = new Map();
        }
        Selector.prototype._queryAll = function (target, selector) {
            if (!target)
                return [];
            var results = toArray(target === null || target === void 0 ? void 0 : target.querySelectorAll(selector));
            var cacheKey = selector + '@ALL';
            var caches = this.store.get(cacheKey);
            if (caches) {
                caches.set(target, results);
            }
            else {
                this.store.set(cacheKey, new WeakMap([[target, results]]));
            }
            return results;
        };
        Selector.prototype._query = function (target, selector) {
            if (!target)
                return;
            var results = target === null || target === void 0 ? void 0 : target.querySelector(selector);
            var caches = this.store.get(selector);
            if (caches) {
                caches.set(target, results);
            }
            else {
                this.store.set(selector, new WeakMap([[target, results]]));
            }
            return results;
        };
        Selector.prototype._clean = function (target, key) {
            var caches = this.store.get(key);
            if (caches) {
                caches.delete(target);
            }
        };
        Selector.prototype.queryAll = function (target, selector) {
            var cacheKey = selector + '@ALL';
            var caches = this.store.get(cacheKey);
            var results = { current: null };
            if (caches) {
                results.current = caches.get(target);
                if (Array.isArray(results.current)) {
                    if (results.current.length === 0 ||
                        results.current.some(function (node) { return !node.isConnected; })) {
                        this._clean(target, cacheKey);
                        return this._queryAll(target, selector);
                    }
                    return results.current;
                }
                this._clean(target, cacheKey);
                return this._queryAll(target, selector);
            }
            else {
                return this._queryAll(target, selector);
            }
        };
        Selector.prototype.query = function (target, selector) {
            var caches = this.store.get(selector);
            var results = { current: null };
            if (caches) {
                results.current = caches.get(target);
                if (results.current && !Array.isArray(results.current)) {
                    if (!results.current.isConnected) {
                        this._clean(target, selector);
                        return this._query(target, selector);
                    }
                    return results.current;
                }
                this._clean(target, selector);
                return this._query(target, selector);
            }
            else {
                return this._query(target, selector);
            }
        };
        return Selector;
    }());

    var Viewport = (function () {
        function Viewport(props) {
            this.scrollX = 0;
            this.scrollY = 0;
            this.width = 0;
            this.height = 0;
            this.workspace = props.workspace;
            this.engine = props.engine;
            this.viewportElement = props.viewportElement;
            this.contentWindow = props.contentWindow;
            this.nodeIdAttrName = props.nodeIdAttrName;
            this.selector = new Selector();
            this.digestViewport();
            this.makeObservable();
            this.attachEvents();
        }
        Object.defineProperty(Viewport.prototype, "isScrollLeft", {
            get: function () {
                return this.scrollX === 0;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "isScrollTop", {
            get: function () {
                return this.scrollY === 0;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "isScrollRight", {
            get: function () {
                var _a, _b, _c, _d;
                if (this.isIframe) {
                    return (this.width + this.scrollX >= ((_c = (_b = (_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.document) === null || _b === void 0 ? void 0 : _b.body) === null || _c === void 0 ? void 0 : _c.scrollWidth));
                }
                else if (this.viewportElement) {
                    return this.width + this.scrollX >= ((_d = this.viewportElement) === null || _d === void 0 ? void 0 : _d.scrollWidth);
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "isScrollBottom", {
            get: function () {
                var _a, _b, _c, _d;
                if (this.isIframe) {
                    return (this.height + this.scrollY >= ((_c = (_b = (_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.document) === null || _b === void 0 ? void 0 : _b.body) === null || _c === void 0 ? void 0 : _c.scrollHeight));
                }
                else if (this.viewportElement) {
                    return this.height + this.scrollY >= ((_d = this.viewportElement) === null || _d === void 0 ? void 0 : _d.scrollHeight);
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "viewportRoot", {
            get: function () {
                var _a, _b;
                return this.isIframe
                    ? (_b = (_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.document) === null || _b === void 0 ? void 0 : _b.body : this.viewportElement;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "isMaster", {
            get: function () {
                return this.contentWindow === window;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "isIframe", {
            get: function () {
                var _a;
                return !!((_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.frameElement) && !this.isMaster;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "scrollContainer", {
            get: function () {
                return this.isIframe ? this.contentWindow : this.viewportElement;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "rect", {
            get: function () {
                var viewportElement = this.viewportElement;
                if (viewportElement)
                    return this.getElementRect(viewportElement);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "innerRect", {
            get: function () {
                var rect = this.rect;
                return new DOMRect(0, 0, rect === null || rect === void 0 ? void 0 : rect.width, rect === null || rect === void 0 ? void 0 : rect.height);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "offsetX", {
            get: function () {
                var rect = this.rect;
                if (!rect)
                    return 0;
                return rect.x;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "offsetY", {
            get: function () {
                var rect = this.rect;
                if (!rect)
                    return 0;
                return rect.y;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Viewport.prototype, "scale", {
            get: function () {
                if (!this.viewportElement)
                    return 1;
                var clientRect = this.viewportElement.getBoundingClientRect();
                var offsetWidth = this.viewportElement.offsetWidth;
                return Math.round(clientRect.width / offsetWidth);
            },
            enumerable: false,
            configurable: true
        });
        Viewport.prototype.digestViewport = function () {
            var _a, _b, _c, _d, _e, _f, _g, _h;
            if (this.isIframe) {
                this.scrollX = ((_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.scrollX) || 0;
                this.scrollY = ((_b = this.contentWindow) === null || _b === void 0 ? void 0 : _b.scrollY) || 0;
                this.width = ((_c = this.contentWindow) === null || _c === void 0 ? void 0 : _c.innerWidth) || 0;
                this.height = ((_d = this.contentWindow) === null || _d === void 0 ? void 0 : _d.innerHeight) || 0;
            }
            else if (this.viewportElement) {
                this.scrollX = ((_e = this.viewportElement) === null || _e === void 0 ? void 0 : _e.scrollLeft) || 0;
                this.scrollY = ((_f = this.viewportElement) === null || _f === void 0 ? void 0 : _f.scrollTop) || 0;
                this.width = ((_g = this.viewportElement) === null || _g === void 0 ? void 0 : _g.clientWidth) || 0;
                this.height = ((_h = this.viewportElement) === null || _h === void 0 ? void 0 : _h.clientHeight) || 0;
            }
        };
        Viewport.prototype.elementFromPoint = function (point) {
            var _a;
            if ((_a = this === null || this === void 0 ? void 0 : this.contentWindow) === null || _a === void 0 ? void 0 : _a.document) {
                return this.contentWindow.document.elementFromPoint(point.x, point.y);
            }
        };
        Viewport.prototype.matchViewport = function (target) {
            var _a;
            if (this.isIframe) {
                return (target === this.viewportElement ||
                    target === this.contentWindow ||
                    target === ((_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.document));
            }
            else {
                return target === this.viewportElement;
            }
        };
        Viewport.prototype.attachEvents = function () {
            var _this = this;
            var engine = this.engine;
            Designable.Shared.cancelIdle(this.attachRequest);
            this.attachRequest = Designable.Shared.requestIdle(function () {
                if (!engine)
                    return;
                if (_this.isIframe) {
                    _this.workspace.attachEvents(_this.contentWindow, _this.contentWindow);
                }
                else if (Designable.Shared.isHTMLElement(_this.viewportElement)) {
                    _this.workspace.attachEvents(_this.viewportElement, _this.contentWindow);
                }
            });
        };
        Viewport.prototype.detachEvents = function () {
            if (this.isIframe) {
                this.workspace.detachEvents(this.contentWindow);
                this.workspace.detachEvents(this.viewportElement);
            }
        };
        Viewport.prototype.onMount = function (element, contentWindow) {
            this.viewportElement = element;
            this.contentWindow = contentWindow;
            this.attachEvents();
            this.digestViewport();
        };
        Viewport.prototype.onUnmount = function () {
            this.detachEvents();
        };
        Viewport.prototype.isPointInViewport = function (point, sensitive) {
            if (!this.rect)
                return false;
            if (!this.containsElement(document.elementFromPoint(point.x, point.y)))
                return false;
            return Designable.Shared.isPointInRect(point, this.rect, sensitive);
        };
        Viewport.prototype.isPointInViewportArea = function (point, sensitive) {
            if (!this.rect)
                return false;
            return Designable.Shared.isPointInRect(point, this.rect, sensitive);
        };
        Viewport.prototype.isOffsetPointInViewport = function (point, sensitive) {
            if (!this.innerRect)
                return false;
            if (!this.containsElement(document.elementFromPoint(point.x, point.y)))
                return false;
            return Designable.Shared.isPointInRect(point, this.innerRect, sensitive);
        };
        Viewport.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                scrollX: Formily.Reactive.observable.ref,
                scrollY: Formily.Reactive.observable.ref,
                width: Formily.Reactive.observable.ref,
                height: Formily.Reactive.observable.ref,
                digestViewport: Formily.Reactive.action,
                viewportElement: Formily.Reactive.observable.ref,
                contentWindow: Formily.Reactive.observable.ref,
            });
        };
        Viewport.prototype.findElementById = function (id) {
            return this.selector.query(this.viewportRoot, "*[" + this.nodeIdAttrName + "='" + id + "']\n      ");
        };
        Viewport.prototype.findElementsById = function (id) {
            return this.selector.queryAll(this.viewportRoot, "*[" + this.nodeIdAttrName + "='" + id + "']\n      ");
        };
        Viewport.prototype.containsElement = function (element) {
            var root = this.viewportElement;
            if (root === element)
                return true;
            return root === null || root === void 0 ? void 0 : root.contains(element);
        };
        Viewport.prototype.getOffsetPoint = function (topPoint) {
            if (this.isIframe) {
                return {
                    x: topPoint.x - this.offsetX + this.contentWindow.scrollX,
                    y: topPoint.y - this.offsetY + this.contentWindow.scrollY,
                };
            }
            else {
                return {
                    x: topPoint.x - this.offsetX + this.viewportElement.scrollLeft,
                    y: topPoint.y - this.offsetY + this.viewportElement.scrollTop,
                };
            }
        };
        Viewport.prototype.getElementRect = function (element) {
            var rect = element.getBoundingClientRect();
            var offsetWidth = element['offsetWidth']
                ? element['offsetWidth']
                : rect.width;
            var offsetHeight = element['offsetHeight']
                ? element['offsetHeight']
                : rect.height;
            return new DOMRect(rect.x, rect.y, this.scale !== 1 ? offsetWidth : rect.width, this.scale !== 1 ? offsetHeight : rect.height);
        };
        Viewport.prototype.getElementRectById = function (id) {
            var _this = this;
            var elements = this.findElementsById(id);
            var rect = Designable.Shared.calcBoundingRect(elements.map(function (element) { return _this.getElementRect(element); }));
            if (rect) {
                if (this.isIframe) {
                    return new DOMRect(rect.x + this.offsetX, rect.y + this.offsetY, rect.width, rect.height);
                }
                else {
                    return new DOMRect(rect.x, rect.y, rect.width, rect.height);
                }
            }
        };
        Viewport.prototype.getElementOffsetRectById = function (id) {
            var _this = this;
            var elements = this.findElementsById(id);
            var elementRect = Designable.Shared.calcBoundingRect(elements.map(function (element) { return _this.getElementRect(element); }));
            if (elementRect) {
                if (this.isIframe) {
                    return new DOMRect(elementRect.x + this.contentWindow.scrollX, elementRect.y + this.contentWindow.scrollY, elementRect.width, elementRect.height);
                }
                else {
                    return new DOMRect((elementRect.x - this.offsetX + this.viewportElement.scrollLeft) /
                        this.scale, (elementRect.y - this.offsetY + this.viewportElement.scrollTop) /
                        this.scale, elementRect.width, elementRect.height);
                }
            }
        };
        Viewport.prototype.getValidNodeElement = function (node) {
            var _this = this;
            var getNodeElement = function (node) {
                if (!node)
                    return;
                var ele = _this.findElementById(node.id);
                if (ele) {
                    return ele;
                }
                else {
                    return getNodeElement(node.parent);
                }
            };
            return getNodeElement(node);
        };
        Viewport.prototype.getChildrenRect = function (node) {
            var _this = this;
            var _a;
            if (!((_a = node === null || node === void 0 ? void 0 : node.children) === null || _a === void 0 ? void 0 : _a.length))
                return;
            return Designable.Shared.calcBoundingRect(node.children.reduce(function (buf, child) {
                var rect = _this.getValidNodeRect(child);
                if (rect) {
                    return buf.concat(rect);
                }
                return buf;
            }, []));
        };
        Viewport.prototype.getChildrenOffsetRect = function (node) {
            var _this = this;
            var _a;
            if (!((_a = node === null || node === void 0 ? void 0 : node.children) === null || _a === void 0 ? void 0 : _a.length))
                return;
            return Designable.Shared.calcBoundingRect(node.children.reduce(function (buf, child) {
                var rect = _this.getValidNodeOffsetRect(child);
                if (rect) {
                    return buf.concat(rect);
                }
                return buf;
            }, []));
        };
        Viewport.prototype.getValidNodeRect = function (node) {
            if (!node)
                return;
            var rect = this.getElementRectById(node.id);
            if (node && node === node.root) {
                if (!rect)
                    return this.innerRect;
                return Designable.Shared.calcBoundingRect([this.innerRect, rect]);
            }
            if (rect) {
                return rect;
            }
            else {
                return this.getChildrenRect(node);
            }
        };
        Viewport.prototype.getValidNodeOffsetRect = function (node) {
            if (!node)
                return;
            var rect = this.getElementOffsetRectById(node.id);
            if (node && node === node.root) {
                if (!rect)
                    return this.innerRect;
                return Designable.Shared.calcBoundingRect([this.innerRect, rect]);
            }
            if (rect) {
                return rect;
            }
            else {
                return this.getChildrenOffsetRect(node);
            }
        };
        return Viewport;
    }());

    var Selection = (function () {
        function Selection(props) {
            this.selected = [];
            if (props.selected) {
                this.selected = props.selected;
            }
            if (props.operation) {
                this.operation = props.operation;
            }
            this.makeObservable();
        }
        Selection.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                selected: Formily.Reactive.observable,
                select: Formily.Reactive.action,
                batchSelect: Formily.Reactive.action,
                add: Formily.Reactive.action,
                remove: Formily.Reactive.action,
                clear: Formily.Reactive.action,
                crossAddTo: Formily.Reactive.action,
            });
        };
        Selection.prototype.trigger = function (type) {
            if (type === void 0) { type = SelectNodeEvent; }
            this.operation.dispatch(new type({
                target: this.operation.tree,
                source: this.operation.getSelectedNodes(),
            }));
        };
        Selection.prototype.select = function (id) {
            if (Designable.Shared.isStr(id)) {
                if (this.selected.length === 1 && this.selected.includes(id))
                    return;
                this.selected = [id];
                this.trigger();
            }
            else {
                this.select(id === null || id === void 0 ? void 0 : id.id);
            }
        };
        Selection.prototype.safeSelect = function (id) {
            if (!id)
                return;
            this.select(id);
        };
        Selection.prototype.mapIds = function (ids) {
            return Designable.Shared.isArr(ids)
                ? ids.map(function (node) { return (Designable.Shared.isStr(node) ? node : node === null || node === void 0 ? void 0 : node.id); })
                : [];
        };
        Selection.prototype.batchSelect = function (ids) {
            this.selected = this.mapIds(ids);
            this.trigger();
        };
        Selection.prototype.batchSafeSelect = function (ids) {
            if (!(ids === null || ids === void 0 ? void 0 : ids.length))
                return;
            this.batchSelect(ids);
        };
        Object.defineProperty(Selection.prototype, "first", {
            get: function () {
                if (this.selected && this.selected.length)
                    return this.selected[0];
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Selection.prototype, "last", {
            get: function () {
                if (this.selected && this.selected.length)
                    return this.selected[this.selected.length - 1];
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Selection.prototype, "length", {
            get: function () {
                return this.selected.length;
            },
            enumerable: false,
            configurable: true
        });
        Selection.prototype.add = function () {
            var _this = this;
            var ids = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                ids[_i] = arguments[_i];
            }
            this.mapIds(ids).forEach(function (id) {
                if (Designable.Shared.isStr(id)) {
                    if (!_this.selected.includes(id)) {
                        _this.selected.push(id);
                    }
                }
                else {
                    _this.add(id === null || id === void 0 ? void 0 : id.id);
                }
            });
            this.trigger();
        };
        Selection.prototype.crossAddTo = function (node) {
            var _this = this;
            if (node.parent) {
                var selectedNodes = this.operation.getSelectedNodes();
                if (this.has(node)) {
                    this.remove(node);
                }
                else {
                    var minDistanceNode = selectedNodes.reduce(function (minDistanceNode, item) {
                        return item.distanceTo(node) < minDistanceNode.distanceTo(node)
                            ? item
                            : minDistanceNode;
                    }, selectedNodes[0]);
                    if (minDistanceNode) {
                        var crossNodes = node.crossSiblings(minDistanceNode);
                        crossNodes.forEach(function (node) {
                            if (!_this.selected.includes(node.id)) {
                                _this.selected.push(node.id);
                            }
                        });
                    }
                    if (!this.selected.includes(node.id)) {
                        this.selected.push(node.id);
                    }
                }
            }
        };
        Selection.prototype.remove = function () {
            var _this = this;
            var ids = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                ids[_i] = arguments[_i];
            }
            this.mapIds(ids).forEach(function (id) {
                if (Designable.Shared.isStr(id)) {
                    _this.selected = _this.selected.filter(function (item) { return item !== id; });
                }
                else {
                    _this.remove(id === null || id === void 0 ? void 0 : id.id);
                }
            });
            this.trigger(UnSelectNodeEvent);
        };
        Selection.prototype.has = function () {
            var _this = this;
            var ids = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                ids[_i] = arguments[_i];
            }
            return this.mapIds(ids).some(function (id) {
                if (Designable.Shared.isStr(id)) {
                    return _this.selected.includes(id);
                }
                else {
                    if (!(id === null || id === void 0 ? void 0 : id.id))
                        return false;
                    return _this.has(id === null || id === void 0 ? void 0 : id.id);
                }
            });
        };
        Selection.prototype.clear = function () {
            this.selected = [];
            this.trigger(UnSelectNodeEvent);
        };
        return Selection;
    }());

    var Hover = (function () {
        function Hover(props) {
            this.node = null;
            this.operation = props === null || props === void 0 ? void 0 : props.operation;
            this.makeObservable();
        }
        Hover.prototype.setHover = function (node) {
            if (node) {
                this.node = node;
            }
            else {
                this.node = null;
            }
            this.trigger();
        };
        Hover.prototype.clear = function () {
            this.node = null;
        };
        Hover.prototype.trigger = function () {
            if (this === null || this === void 0 ? void 0 : this.operation) {
                this.operation.dispatch(new HoverNodeEvent({
                    target: this.operation.tree,
                    source: this.node,
                }));
            }
        };
        Hover.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                node: Formily.Reactive.observable.ref,
                setHover: Formily.Reactive.action,
                clear: Formily.Reactive.action,
            });
        };
        return Hover;
    }());

    exports.ClosestDirection = void 0;
    (function (ClosestDirection) {
        ClosestDirection["Before"] = "BEFORE";
        ClosestDirection["ForbidBefore"] = "FORBID_BEFORE";
        ClosestDirection["After"] = "After";
        ClosestDirection["ForbidAfter"] = "FORBID_AFTER";
        ClosestDirection["Upper"] = "UPPER";
        ClosestDirection["ForbidUpper"] = "FORBID_UPPER";
        ClosestDirection["Under"] = "UNDER";
        ClosestDirection["ForbidUnder"] = "FORBID_UNDER";
        ClosestDirection["Inner"] = "INNER";
        ClosestDirection["ForbidInnder"] = "FORBID_INNER";
        ClosestDirection["InnerAfter"] = "INNER_AFTER";
        ClosestDirection["ForbidInnerAfter"] = "FORBID_INNER_AFTER";
        ClosestDirection["InnerBefore"] = "INNER_BEFORE";
        ClosestDirection["ForbidInnerBefore"] = "FORBID_INNER_BEFORE";
        ClosestDirection["Forbid"] = "FORBID";
    })(exports.ClosestDirection || (exports.ClosestDirection = {}));
    var Dragon = (function () {
        function Dragon(props) {
            this.dragNodes = [];
            this.touchNode = null;
            this.dropNode = null;
            this.closestNode = null;
            this.closestRect = null;
            this.closestOffsetRect = null;
            this.closestDirection = null;
            this.sensitive = true;
            this.forceBlock = false;
            this.viewport = null;
            this.operation = props.operation;
            this.viewport = props.viewport;
            this.sensitive = props.sensitive;
            this.forceBlock = props.forceBlock;
            this.rootNode = this.operation.tree;
            this.makeObservable();
        }
        Dragon.prototype.getClosestDirection = function (point) {
            var _a, _b, _c;
            var closestNode = this.closestNode;
            if (!closestNode)
                return exports.ClosestDirection.Forbid;
            var closestNodeParent = closestNode.parent;
            var closestRect = this.viewport.getValidNodeRect(closestNode);
            var isInline = ((_b = (_a = this.closestNode) === null || _a === void 0 ? void 0 : _a.designerProps) === null || _b === void 0 ? void 0 : _b.inlineLayout) || ((_c = closestNodeParent === null || closestNodeParent === void 0 ? void 0 : closestNodeParent.designerProps) === null || _c === void 0 ? void 0 : _c.inlineChildrenLayout);
            if (!closestRect) {
                return;
            }
            var isAfter = Designable.Shared.isNearAfter(point, closestRect, this.forceBlock ? false : isInline);
            if (Designable.Shared.isPointInRect(point, closestRect, this.sensitive)) {
                if (!closestNode.allowAppend(this.dragNodes)) {
                    if (!closestNode.allowSibling(this.dragNodes)) {
                        if (isInline) {
                            return isAfter
                                ? exports.ClosestDirection.ForbidAfter
                                : exports.ClosestDirection.ForbidBefore;
                        }
                        else {
                            return isAfter
                                ? exports.ClosestDirection.ForbidUnder
                                : exports.ClosestDirection.ForbidUpper;
                        }
                    }
                    else {
                        if (isInline) {
                            return isAfter ? exports.ClosestDirection.After : exports.ClosestDirection.Before;
                        }
                        else {
                            return isAfter ? exports.ClosestDirection.Under : exports.ClosestDirection.Upper;
                        }
                    }
                }
                if (closestNode.contains.apply(closestNode, __spread(this.dragNodes))) {
                    return isAfter
                        ? exports.ClosestDirection.InnerAfter
                        : exports.ClosestDirection.InnerBefore;
                }
                else {
                    return exports.ClosestDirection.Inner;
                }
            }
            else if (closestNode === closestNode.root) {
                return isAfter
                    ? exports.ClosestDirection.InnerAfter
                    : exports.ClosestDirection.InnerBefore;
            }
            else {
                if (!closestNode.allowSibling(this.dragNodes)) {
                    if (isInline) {
                        return isAfter
                            ? exports.ClosestDirection.ForbidAfter
                            : exports.ClosestDirection.ForbidBefore;
                    }
                    else {
                        return isAfter
                            ? exports.ClosestDirection.ForbidUnder
                            : exports.ClosestDirection.ForbidUpper;
                    }
                }
                if (isInline) {
                    return isAfter ? exports.ClosestDirection.After : exports.ClosestDirection.Before;
                }
                else {
                    return isAfter ? exports.ClosestDirection.Under : exports.ClosestDirection.Upper;
                }
            }
        };
        Dragon.prototype.setClosestDirection = function (direction) {
            this.closestDirection = direction;
        };
        Dragon.prototype.getClosestNode = function (point) {
            var _this = this;
            var _a, _b;
            if (this.touchNode) {
                var touchNodeRect = this.viewport.getValidNodeRect(this.touchNode);
                if (!touchNodeRect)
                    return;
                if ((_b = (_a = this.touchNode) === null || _a === void 0 ? void 0 : _a.children) === null || _b === void 0 ? void 0 : _b.length) {
                    var touchDistance = Designable.Shared.calcDistancePointToEdge(point, touchNodeRect);
                    var minDistance_1 = touchDistance;
                    var minDistanceNode_1 = this.touchNode;
                    this.touchNode.eachChildren(function (node) {
                        var rect = _this.viewport.getElementRectById(node.id);
                        if (!rect)
                            return;
                        var distance = Designable.Shared.isPointInRect(point, rect, _this.sensitive)
                            ? 0
                            : Designable.Shared.calcDistanceOfPointToRect(point, rect);
                        if (distance <= minDistance_1) {
                            minDistance_1 = distance;
                            minDistanceNode_1 = node;
                        }
                    });
                    return minDistanceNode_1;
                }
                else {
                    return this.touchNode;
                }
            }
            return null;
        };
        Dragon.prototype.setClosestNode = function (node) {
            this.closestNode = node;
        };
        Dragon.prototype.getClosestRect = function () {
            var closestNode = this.closestNode;
            var closestDirection = this.closestDirection;
            if (!closestNode || !closestDirection)
                return;
            var closestRect = this.viewport.getValidNodeRect(closestNode);
            if (closestDirection === exports.ClosestDirection.InnerAfter ||
                closestDirection === exports.ClosestDirection.InnerBefore) {
                return this.viewport.getChildrenRect(closestNode);
            }
            else {
                return closestRect;
            }
        };
        Dragon.prototype.setClosestRect = function (rect) {
            this.closestRect = rect;
        };
        Dragon.prototype.getClosestOffsetRect = function () {
            var closestNode = this.closestNode;
            var closestDirection = this.closestDirection;
            if (!closestNode || !closestDirection)
                return;
            var closestRect = this.viewport.getValidNodeOffsetRect(closestNode);
            if (closestDirection === exports.ClosestDirection.InnerAfter ||
                closestDirection === exports.ClosestDirection.InnerBefore) {
                return this.viewport.getChildrenOffsetRect(closestNode);
            }
            else {
                return closestRect;
            }
        };
        Dragon.prototype.setClosestOffsetRect = function (rect) {
            this.closestOffsetRect = rect;
        };
        Dragon.prototype.setDragNodes = function (nodes) {
            if (nodes === void 0) { nodes = []; }
            var dragNodes = nodes.reduce(function (buf, node) {
                var _a;
                if (Designable.Shared.isFn((_a = node === null || node === void 0 ? void 0 : node.designerProps) === null || _a === void 0 ? void 0 : _a.getDragNodes)) {
                    var transformed = node.designerProps.getDragNodes(node);
                    return transformed ? buf.concat(transformed) : buf;
                }
                return buf.concat([node]);
            }, []);
            this.dragNodes = dragNodes;
            this.trigger(new DragNodeEvent({
                target: this.operation.tree,
                source: dragNodes,
            }));
        };
        Dragon.prototype.setTouchNode = function (node) {
            this.touchNode = node;
            if (!node) {
                this.closestNode = null;
                this.closestDirection = null;
                this.closestOffsetRect = null;
                this.closestRect = null;
            }
        };
        Dragon.prototype.calculate = function (props) {
            var point = props.point, touchNode = props.touchNode, closestNode = props.closestNode, closestDirection = props.closestDirection;
            this.setTouchNode(touchNode);
            this.closestNode = closestNode || this.getClosestNode(point);
            this.closestDirection = closestDirection || this.getClosestDirection(point);
            this.closestRect = this.getClosestRect();
            this.closestOffsetRect = this.getClosestOffsetRect();
        };
        Dragon.prototype.setDropNode = function (node) {
            this.dropNode = node;
            this.trigger(new DropNodeEvent({
                target: this.operation.tree,
                source: node,
            }));
        };
        Dragon.prototype.trigger = function (event) {
            if (this === null || this === void 0 ? void 0 : this.operation) {
                this.operation.dispatch(event);
            }
        };
        Dragon.prototype.clear = function () {
            this.dragNodes = [];
            this.touchNode = null;
            this.dropNode = null;
            this.closestNode = null;
            this.closestDirection = null;
            this.closestOffsetRect = null;
            this.closestRect = null;
        };
        Dragon.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                dragNodes: Formily.Reactive.observable.shallow,
                touchNode: Formily.Reactive.observable.ref,
                closestNode: Formily.Reactive.observable.ref,
                closestDirection: Formily.Reactive.observable.ref,
                closestRect: Formily.Reactive.observable.ref,
                setDragNodes: Formily.Reactive.action,
                setTouchNode: Formily.Reactive.action,
                setDropNode: Formily.Reactive.action,
                setClosestNode: Formily.Reactive.action,
                setClosestDirection: Formily.Reactive.action,
                setClosestOffsetRect: Formily.Reactive.action,
                setClosestRect: Formily.Reactive.action,
                clear: Formily.Reactive.action,
                calculate: Formily.Reactive.action,
            });
        };
        return Dragon;
    }());

    var Operation = (function () {
        function Operation(workspace) {
            this.requests = {
                snapshot: null,
            };
            this.engine = workspace.engine;
            this.workspace = workspace;
            this.tree = new TreeNode({
                componentName: 'Root',
                operation: this,
                children: this.engine.props.defaultComponentTree || [],
            });
            this.selection = new Selection({
                operation: this,
            });
            this.hover = new Hover({
                operation: this,
            });
            this.outlineDragon = new Dragon({
                operation: this,
                sensitive: false,
                forceBlock: true,
                viewport: this.workspace.outline,
            });
            this.viewportDragon = new Dragon({
                operation: this,
                viewport: this.workspace.viewport,
            });
            this.selection.select(this.tree);
            this.makeObservable();
        }
        Operation.prototype.dispatch = function (event) {
            this.workspace.dispatch(event);
        };
        Operation.prototype.getSelectedNodes = function () {
            var _this = this;
            return this.selection.selected.map(function (id) { return _this.tree.findById(id); });
        };
        Operation.prototype.switchFocusNode = function (node) {
            if (this.focusNode === node) {
                this.focusNode = null;
            }
            else {
                this.focusNode = node;
            }
        };
        Operation.prototype.focusClean = function () {
            this.focusNode = null;
        };
        Operation.prototype.setDragNodes = function (nodes) {
            this.outlineDragon.setDragNodes(nodes);
            this.viewportDragon.setDragNodes(nodes);
        };
        Operation.prototype.getDragNodes = function () {
            var _a;
            if ((_a = this.outlineDragon.dragNodes) === null || _a === void 0 ? void 0 : _a.length) {
                return this.outlineDragon.dragNodes;
            }
            return this.viewportDragon.dragNodes;
        };
        Operation.prototype.getClosestNode = function () {
            return this.viewportDragon.closestNode || this.outlineDragon.closestNode;
        };
        Operation.prototype.getClosestDirection = function () {
            return (this.viewportDragon.closestDirection ||
                this.outlineDragon.closestDirection);
        };
        Operation.prototype.setTouchNode = function (node) {
            this.outlineDragon.setTouchNode(node);
            this.viewportDragon.setTouchNode(node);
        };
        Operation.prototype.dragWith = function (point, touchNode) {
            var viewport = this.workspace.viewport;
            var outline = this.workspace.outline;
            if (outline.isPointInViewport(point, false)) {
                this.outlineDragon.calculate({
                    point: point,
                    touchNode: touchNode || this.tree,
                });
                this.viewportDragon.calculate({
                    touchNode: touchNode || this.tree,
                    closestNode: this.outlineDragon.closestNode,
                    closestDirection: this.outlineDragon.closestDirection,
                });
            }
            else if (viewport.isPointInViewport(point, false)) {
                this.viewportDragon.calculate({
                    point: point,
                    touchNode: touchNode || this.tree,
                });
                this.outlineDragon.calculate({
                    touchNode: touchNode || this.tree,
                    closestNode: this.viewportDragon.closestNode,
                    closestDirection: this.viewportDragon.closestDirection,
                });
            }
            else {
                this.setTouchNode(null);
            }
        };
        Operation.prototype.dragClean = function () {
            this.outlineDragon.clear();
            this.viewportDragon.clear();
        };
        Operation.prototype.getTouchNode = function () {
            return this.outlineDragon.touchNode || this.viewportDragon.touchNode;
        };
        Operation.prototype.setDropNode = function (node) {
            this.outlineDragon.setDropNode(node);
            this.viewportDragon.setDropNode(node);
        };
        Operation.prototype.getDropNode = function () {
            return this.outlineDragon.dropNode || this.viewportDragon.dropNode;
        };
        Operation.prototype.removeNodes = function (nodes) {
            var _a;
            for (var i = nodes.length - 1; i >= 0; i--) {
                var node = nodes[i];
                if (node !== this.tree && ((_a = node === null || node === void 0 ? void 0 : node.designerProps) === null || _a === void 0 ? void 0 : _a.deletable) !== false) {
                    var previousIndex = node.index - 1;
                    var afterIndex = node.index + 1;
                    var parent_1 = node.parent;
                    node.remove();
                    var previus = previousIndex > -1 && parent_1.children[previousIndex];
                    var after = afterIndex < parent_1.children.length && parent_1.children[afterIndex];
                    this.selection.select(previus ? previus : after ? after : node.parent);
                    this.hover.clear();
                }
            }
        };
        Operation.prototype.cloneNodes = function (nodes) {
            var _this = this;
            var groups = {};
            var lastGroupNode = {};
            var filterNestedNode = nodes.filter(function (node) {
                return !nodes.some(function (parent) {
                    return node.isMyParents(parent);
                });
            });
            filterNestedNode.forEach(function (node) {
                var _a, _b, _c, _d, _e, _f, _g, _h;
                if (((_a = node === null || node === void 0 ? void 0 : node.designerProps) === null || _a === void 0 ? void 0 : _a.cloneable) === false)
                    return;
                groups[(_b = node === null || node === void 0 ? void 0 : node.parent) === null || _b === void 0 ? void 0 : _b.id] = groups[(_c = node === null || node === void 0 ? void 0 : node.parent) === null || _c === void 0 ? void 0 : _c.id] || [];
                groups[(_d = node === null || node === void 0 ? void 0 : node.parent) === null || _d === void 0 ? void 0 : _d.id].push(node);
                if (lastGroupNode[(_e = node === null || node === void 0 ? void 0 : node.parent) === null || _e === void 0 ? void 0 : _e.id]) {
                    if (node.index > lastGroupNode[(_f = node === null || node === void 0 ? void 0 : node.parent) === null || _f === void 0 ? void 0 : _f.id].index) {
                        lastGroupNode[(_g = node === null || node === void 0 ? void 0 : node.parent) === null || _g === void 0 ? void 0 : _g.id] = node;
                    }
                }
                else {
                    lastGroupNode[(_h = node === null || node === void 0 ? void 0 : node.parent) === null || _h === void 0 ? void 0 : _h.id] = node;
                }
            });
            Designable.Shared.each(groups, function (nodes, parentId) {
                var lastNode = lastGroupNode[parentId];
                var insertPoint = lastNode;
                nodes.forEach(function (node) {
                    var cloned = node.clone();
                    if (_this.selection.has(node) &&
                        insertPoint.parent.allowAppend([cloned])) {
                        insertPoint.insertAfter(cloned);
                        insertPoint = insertPoint.after;
                    }
                    else if (_this.selection.length === 1) {
                        var targetNode = _this.tree.findById(_this.selection.first);
                        if (targetNode && targetNode.allowAppend([cloned])) {
                            targetNode.appendNode(cloned);
                        }
                    }
                });
            });
        };
        Operation.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                focusNode: Formily.Reactive.observable.ref,
                hover: Formily.Reactive.observable.ref,
                removeNodes: Formily.Reactive.action,
                cloneNodes: Formily.Reactive.action,
            });
        };
        Operation.prototype.snapshot = function () {
            var _this = this;
            Designable.Shared.cancelIdle(this.requests.snapshot);
            this.requests.snapshot = Designable.Shared.requestIdle(function () {
                _this.workspace.history.push();
            });
        };
        Operation.prototype.from = function (operation) {
            if (!operation)
                return;
            if (operation.tree) {
                this.tree.from(operation.tree);
            }
            if (operation.selected) {
                this.selection.batchSelect(operation.selected);
            }
        };
        Operation.prototype.serialize = function () {
            return {
                tree: this.tree.serialize(),
                selected: this.selection.selected,
            };
        };
        return Operation;
    }());

    var History = (function () {
        function History(context, props) {
            this.current = 0;
            this.history = [];
            this.updateTimer = null;
            this.maxSize = 100;
            this.context = context;
            this.props = props;
            this.push();
            this.makeObservable();
        }
        History.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                current: Formily.Reactive.observable.ref,
                history: Formily.Reactive.observable.shallow,
                push: Formily.Reactive.action,
                undo: Formily.Reactive.action,
                redo: Formily.Reactive.action,
                goTo: Formily.Reactive.action,
                clear: Formily.Reactive.action,
            });
        };
        History.prototype.list = function () {
            return this.history;
        };
        History.prototype.push = function () {
            if (this.current < this.history.length - 1) {
                this.history = this.history.slice(0, this.current + 1);
            }
            this.current = this.history.length;
            this.history.push(this.context.serialize());
            var overSizeCount = this.history.length - this.maxSize;
            if (overSizeCount > 0) {
                this.history.splice(0, overSizeCount);
                this.current = this.history.length - 1;
            }
        };
        Object.defineProperty(History.prototype, "allowUndo", {
            get: function () {
                return this.history.length > 0 && this.current - 1 >= 0;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(History.prototype, "allowRedo", {
            get: function () {
                return this.history.length > this.current + 1;
            },
            enumerable: false,
            configurable: true
        });
        History.prototype.redo = function () {
            var _a;
            if (this.allowRedo) {
                var item = this.history[this.current + 1];
                this.context.from(item);
                this.current++;
                if ((_a = this.props) === null || _a === void 0 ? void 0 : _a.onRedo) {
                    this.props.onRedo(item);
                }
            }
        };
        History.prototype.undo = function () {
            var _a;
            if (this.allowUndo) {
                var item = this.history[this.current - 1];
                this.context.from(item);
                this.current--;
                if ((_a = this.props) === null || _a === void 0 ? void 0 : _a.onUndo) {
                    this.props.onUndo(item);
                }
            }
        };
        History.prototype.goTo = function (index) {
            if (this.history[index]) {
                this.context.from(this.history[index]);
                this.current = index;
            }
        };
        History.prototype.clear = function () {
            this.history = [];
            this.current = 0;
        };
        return History;
    }());

    var Workspace = (function () {
        function Workspace(engine, props) {
            var _this = this;
            this.engine = engine;
            this.props = props;
            this.id = props.id || Designable.Shared.uid();
            this.title = props.title;
            this.description = props.description;
            this.viewport = new Viewport({
                engine: this.engine,
                workspace: this,
                viewportElement: props.viewportElement,
                contentWindow: props.contentWindow,
                nodeIdAttrName: this.engine.props.nodeIdAttrName,
            });
            this.outline = new Viewport({
                engine: this.engine,
                workspace: this,
                viewportElement: props.viewportElement,
                contentWindow: props.contentWindow,
                nodeIdAttrName: this.engine.props.outlineNodeIdAttrName,
            });
            this.operation = new Operation(this);
            this.history = new History(this, {
                onRedo: function (item) {
                    _this.operation.hover.clear();
                    _this.operation.dispatch(new HistoryRedoEvent(item));
                },
                onUndo: function (item) {
                    _this.operation.hover.clear();
                    _this.operation.dispatch(new HistoryUndoEvent(item));
                },
            });
        }
        Workspace.prototype.getEventContext = function () {
            return {
                workbench: this.engine.workbench,
                workspace: this,
                engine: this.engine,
                viewport: this.viewport,
            };
        };
        Workspace.prototype.attachEvents = function (container, contentWindow) {
            this.engine.attachEvents(container, contentWindow, this.getEventContext());
        };
        Workspace.prototype.detachEvents = function (container) {
            this.engine.detachEvents(container);
        };
        Workspace.prototype.dispatch = function (event) {
            this.engine.dispatch(event, this.getEventContext());
        };
        Workspace.prototype.serialize = function () {
            return {
                operation: this.operation.serialize(),
            };
        };
        Workspace.prototype.from = function (workspace) {
            if (workspace === null || workspace === void 0 ? void 0 : workspace.operation) {
                this.operation.from(workspace.operation);
            }
        };
        return Workspace;
    }());

    var Workbench = (function () {
        function Workbench(engine) {
            this.engine = engine;
            this.workspaces = [];
            this.currentWorkspace = null;
            this.activeWorkspace = null;
            this.makeObservable();
        }
        Workbench.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                currentWorkspace: Formily.Reactive.observable.ref,
                workspaces: Formily.Reactive.observable.shallow,
                activeWorkspace: Formily.Reactive.observable.ref,
                switchWorkspace: Formily.Reactive.action,
                addWorkspace: Formily.Reactive.action,
                removeWorkspace: Formily.Reactive.action,
                setActiveWorkspace: Formily.Reactive.action,
            });
        };
        Workbench.prototype.getEventContext = function () {
            return {
                engine: this.engine,
                workbench: this.engine.workbench,
                workspace: null,
                viewport: null,
            };
        };
        Workbench.prototype.switchWorkspace = function (id) {
            var finded = this.findWorkspaceById(id);
            if (finded) {
                this.currentWorkspace = finded;
                this.engine.dispatch(new SwitchWorkspaceEvent(finded));
            }
        };
        Workbench.prototype.setActiveWorkspace = function (workspace) {
            this.activeWorkspace = workspace;
        };
        Workbench.prototype.addWorkspace = function (props) {
            if (!this.findWorkspaceById(props.id)) {
                this.currentWorkspace = new Workspace(this.engine, props);
                this.workspaces.push(this.currentWorkspace);
                this.engine.dispatch(new AddWorkspaceEvent(this.currentWorkspace));
            }
        };
        Workbench.prototype.removeWorkspace = function (id) {
            var findIndex = this.findWorkspaceIndexById(id);
            if (findIndex > -1 && findIndex < this.workspaces.length) {
                var findedWorkspace = this.workspaces[findIndex];
                findedWorkspace.viewport.detachEvents();
                this.workspaces.splice(findIndex, 1);
                if (findedWorkspace === this.currentWorkspace) {
                    if (this.workspaces.length && this.workspaces[findIndex]) {
                        this.currentWorkspace = this.workspaces[findIndex];
                    }
                    else {
                        this.currentWorkspace = this.workspaces[this.workspaces.length - 1];
                    }
                }
                this.engine.dispatch(new RemoveWorkspaceEvent(findedWorkspace));
            }
        };
        Workbench.prototype.ensureWorkspace = function (props) {
            if (props === void 0) { props = {}; }
            var workspace = this.findWorkspaceById(props.id);
            if (workspace)
                return workspace;
            this.addWorkspace(props);
            return this.currentWorkspace;
        };
        Workbench.prototype.findWorkspaceById = function (id) {
            return this.workspaces.find(function (item) { return item.id === id; });
        };
        Workbench.prototype.findWorkspaceIndexById = function (id) {
            return this.workspaces.findIndex(function (item) { return item.id === id; });
        };
        Workbench.prototype.mapWorkspace = function (callbackFn) {
            return this.workspaces.map(callbackFn);
        };
        Workbench.prototype.eachWorkspace = function (callbackFn) {
            this.workspaces.forEach(callbackFn);
        };
        return Workbench;
    }());

    exports.CursorStatus = void 0;
    (function (CursorStatus) {
        CursorStatus["Normal"] = "NORMAL";
        CursorStatus["DragStart"] = "DRAG_START";
        CursorStatus["Dragging"] = "DRAGGING";
        CursorStatus["DragStop"] = "DRAG_STOP";
    })(exports.CursorStatus || (exports.CursorStatus = {}));
    exports.CursorType = void 0;
    (function (CursorType) {
        CursorType["Move"] = "MOVE";
        CursorType["Selection"] = "SELECTION";
        CursorType["Resize"] = "RESIZE";
        CursorType["ResizeWidth"] = "RESIZE_WIDTH";
        CursorType["ResizeHeight"] = "RESIZE_HEIGHT";
    })(exports.CursorType || (exports.CursorType = {}));
    var DEFAULT_POSITION = {
        pageX: 0,
        pageY: 0,
        clientX: 0,
        clientY: 0,
        topPageX: 0,
        topPageY: 0,
        topClientX: 0,
        topClientY: 0,
    };
    var DEFAULT_SCROLL_OFFSET = {
        scrollX: 0,
        scrollY: 0,
    };
    var Cursor = (function () {
        function Cursor(engine) {
            this.type = exports.CursorType.Move;
            this.status = exports.CursorStatus.Normal;
            this.position = DEFAULT_POSITION;
            this.dragStartPosition = DEFAULT_POSITION;
            this.dragStartScrollOffset = DEFAULT_SCROLL_OFFSET;
            this.dragEndPosition = DEFAULT_POSITION;
            this.dragEndScrollOffset = DEFAULT_SCROLL_OFFSET;
            this.view = window;
            this.engine = engine;
            this.makeObservable();
        }
        Cursor.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                type: Formily.Reactive.observable.ref,
                status: Formily.Reactive.observable.ref,
                position: Formily.Reactive.observable.ref,
                dragStartPosition: Formily.Reactive.observable.ref,
                dragStartScrollOffset: Formily.Reactive.observable.ref,
                dragEndPosition: Formily.Reactive.observable.ref,
                dragEndScrollOffset: Formily.Reactive.observable.ref,
                view: Formily.Reactive.observable.ref,
                setPosition: Formily.Reactive.action,
                setStatus: Formily.Reactive.action,
                setType: Formily.Reactive.action,
            });
        };
        Cursor.prototype.setStatus = function (status) {
            this.status = status;
        };
        Cursor.prototype.setType = function (type) {
            this.type = type;
        };
        Cursor.prototype.setPosition = function (position) {
            this.position = __assign$1(__assign$1({}, this.position), position);
        };
        Cursor.prototype.setDragStartPosition = function (position) {
            this.dragStartPosition = __assign$1(__assign$1({}, this.dragStartPosition), position);
        };
        Cursor.prototype.setDragEndPosition = function (position) {
            this.dragEndPosition = __assign$1(__assign$1({}, this.dragEndPosition), position);
        };
        Cursor.prototype.setDragStartScrollOffset = function (offset) {
            this.dragStartScrollOffset = __assign$1(__assign$1({}, this.dragStartScrollOffset), offset);
        };
        Cursor.prototype.setDragEndScrollOffset = function (offset) {
            this.dragEndScrollOffset = __assign$1(__assign$1({}, this.dragEndScrollOffset), offset);
        };
        return Cursor;
    }());

    var DragSource = (function () {
        function DragSource() {
            this.tree = new TreeNode({
                componentName: 'SourceRoot',
            });
            this.prefix = Designable.Shared.uid();
        }
        DragSource.prototype.setSources = function (sources) {
            var _this = this;
            Designable.Shared.each(sources, function (data, group) {
                _this.setSourcesByGroup(group, data);
            });
        };
        DragSource.prototype.setSourcesByGroup = function (group, sources) {
            var parent = this.tree.findById(group);
            var nodes = sources.map(function (node) { return new TreeNode(node); });
            if (parent) {
                parent.setNodeChildren.apply(parent, __spread(nodes));
            }
            else {
                var newParent = new TreeNode({
                    componentName: 'SourceGroup',
                    id: this.prefix + "_" + group,
                });
                newParent.setNodeChildren.apply(newParent, __spread(nodes));
                this.tree.appendNode(newParent);
            }
        };
        DragSource.prototype.appendSourcesByGroup = function (group, sources) {
            var parent = this.tree.findById(group);
            var nodes = sources.map(function (node) { return new TreeNode(node); });
            if (parent) {
                parent.appendNode.apply(parent, __spread(nodes));
            }
            else {
                var newParent = new TreeNode({
                    componentName: 'SourceGroup',
                    id: this.prefix + "_" + group,
                });
                newParent.setNodeChildren.apply(newParent, __spread(nodes));
                this.tree.appendNode(newParent);
            }
        };
        DragSource.prototype.getAllGroup = function () {
            var nodes = this.tree.findAll(function (node) { return node.componentName === 'SourceGroup'; });
            return nodes;
        };
        DragSource.prototype.getAllSources = function () {
            var _this = this;
            return this.getAllGroup().reduce(function (buf, groupNode) {
                return buf.concat(_this.getSourcesByGroup(groupNode.id));
            }, []);
        };
        DragSource.prototype.getSourcesByGroup = function (group) {
            var parent = this.tree.findById(this.prefix + "_" + group);
            return parent === null || parent === void 0 ? void 0 : parent.children;
        };
        DragSource.prototype.mapSourcesByGroup = function (group, callback) {
            var _a;
            var sources = this.getSourcesByGroup(group);
            return (_a = sources === null || sources === void 0 ? void 0 : sources.map) === null || _a === void 0 ? void 0 : _a.call(sources, callback);
        };
        DragSource.prototype.eachSourcesByGroup = function (group, callback) {
            var _a;
            var sources = this.getSourcesByGroup(group);
            return (_a = sources === null || sources === void 0 ? void 0 : sources.forEach) === null || _a === void 0 ? void 0 : _a.call(sources, callback);
        };
        DragSource.prototype.reduceSourcesByGroup = function (group, callback, init) {
            var _a;
            var sources = this.getSourcesByGroup(group);
            return (_a = sources === null || sources === void 0 ? void 0 : sources.reduce) === null || _a === void 0 ? void 0 : _a.call(sources, callback, init);
        };
        return DragSource;
    }());
    var GlobalDragSource = new DragSource();

    const _global_Designable_Shared_KeyCode = Designable.Shared.KeyCode;
    var Shortcut = (function () {
        function Shortcut(props) {
            this.codes = props.codes || [];
            this.handler = props.handler;
            this.matcher = props.matcher;
        }
        Shortcut.prototype.preventCodes = function (codes) {
            if (this.codes.length) {
                for (var i = 0; i < codes.length; i++) {
                    if (!Shortcut.matchCode(codes[i], this.codes[i])) {
                        return false;
                    }
                }
                return true;
            }
            return false;
        };
        Shortcut.prototype.matched = function (matched, context) {
            if (Designable.Shared.isFn(this.handler) && matched) {
                this.handler(context);
            }
            return matched;
        };
        Shortcut.prototype.match = function (codes, context) {
            var sortedSelf = Shortcut.sortCodes(this.codes);
            var sortedTarget = Shortcut.sortCodes(codes);
            if (Designable.Shared.isFn(this.matcher)) {
                return this.matched(this.matcher(sortedTarget), context);
            }
            if (sortedTarget.length !== sortedSelf.length)
                return this.matched(false, context);
            for (var i = 0; i < sortedSelf.length; i++) {
                if (!Shortcut.matchCode(sortedTarget[i], sortedSelf[i])) {
                    return this.matched(false, context);
                }
            }
            return this.matched(true, context);
        };
        Shortcut.matchCode = function (code1, code2) {
            var _a, _b;
            return ((_a = code1 === null || code1 === void 0 ? void 0 : code1.toLocaleLowerCase) === null || _a === void 0 ? void 0 : _a.call(code1)) === ((_b = code2 === null || code2 === void 0 ? void 0 : code2.toLocaleLowerCase) === null || _b === void 0 ? void 0 : _b.call(code2));
        };
        Shortcut.sortCodes = function (codes) {
            return codes.map(function (code) { return code.toLocaleLowerCase(); }).sort();
        };
        return Shortcut;
    }());

    var Modifiers = [
        ['metaKey', Designable.Shared.KeyCode.Meta],
        ['shiftKey', Designable.Shared.KeyCode.Shift],
        ['ctrlKey', Designable.Shared.KeyCode.Control],
        ['altKey', Designable.Shared.KeyCode.Alt],
    ];
    var Keyboard = (function () {
        function Keyboard(engine) {
            var _a;
            this.shortcuts = [];
            this.sequence = [];
            this.keyDown = null;
            this.modifiers = {};
            this.requestTimer = null;
            this.engine = engine;
            this.shortcuts = ((_a = engine.props) === null || _a === void 0 ? void 0 : _a.shortcuts) || [];
            this.makeObservable();
        }
        Keyboard.prototype.matchCodes = function (context) {
            for (var i = 0; i < this.shortcuts.length; i++) {
                var shortcut = this.shortcuts[i];
                if (shortcut.match(this.sequence, context)) {
                    return true;
                }
            }
            return false;
        };
        Keyboard.prototype.preventCodes = function () {
            var _this = this;
            return this.shortcuts.some(function (shortcut) {
                return shortcut.preventCodes(_this.sequence);
            });
        };
        Keyboard.prototype.includes = function (key) {
            return this.sequence.some(function (code) { return Shortcut.matchCode(code, key); });
        };
        Keyboard.prototype.excludes = function (key) {
            this.sequence = this.sequence.filter(function (code) { return !Shortcut.matchCode(key, code); });
        };
        Keyboard.prototype.addKeyCode = function (key) {
            if (!this.includes(key)) {
                this.sequence.push(key);
            }
        };
        Keyboard.prototype.removeKeyCode = function (key) {
            if (this.includes(key)) {
                this.excludes(key);
            }
        };
        Keyboard.prototype.isModifier = function (code) {
            return Modifiers.some(function (modifier) { return Shortcut.matchCode(modifier[1], code); });
        };
        Keyboard.prototype.handleModifiers = function (event) {
            var _this = this;
            Modifiers.forEach(function (_a) {
                var _b = __read$1(_a, 2), key = _b[0], code = _b[1];
                if (event[key]) {
                    if (!_this.includes(code)) {
                        _this.sequence = [code].concat(_this.sequence);
                    }
                }
            });
        };
        Keyboard.prototype.handleKeyboard = function (event, context) {
            if (event.eventType === 'keydown') {
                this.keyDown = event.data;
                this.addKeyCode(this.keyDown);
                this.handleModifiers(event);
                if (this.matchCodes(context)) {
                    this.sequence = [];
                }
                this.requestClean();
                if (this.preventCodes()) {
                    event.preventDefault();
                    event.stopPropagation();
                }
            }
            else {
                this.keyDown = null;
            }
        };
        Keyboard.prototype.isKeyDown = function (code) {
            return this.keyDown === code;
        };
        Keyboard.prototype.requestClean = function () {
            var _this = this;
            clearTimeout(this.requestTimer);
            this.requestTimer = setTimeout(function () {
                _this.keyDown = null;
                _this.sequence = [];
                clearTimeout(_this.requestTimer);
            }, 4000);
        };
        Keyboard.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                sequence: Formily.Reactive.observable.shallow,
                keyDown: Formily.Reactive.observable.ref,
                handleKeyboard: Formily.Reactive.action,
            });
        };
        return Keyboard;
    }());

    exports.ScreenType = void 0;
    (function (ScreenType) {
        ScreenType["PC"] = "PC";
        ScreenType["Responsive"] = "Responsive";
        ScreenType["Mobile"] = "Mobile";
    })(exports.ScreenType || (exports.ScreenType = {}));
    var Screen = (function () {
        function Screen(engine) {
            this.scale = 1;
            this.width = '100%';
            this.height = '100%';
            this.background = '';
            this.flip = false;
            this.engine = engine;
            this.type = engine.props.defaultScreenType;
            this.makeObservable();
        }
        Screen.prototype.makeObservable = function () {
            Formily.Reactive.define(this, {
                type: Formily.Reactive.observable.ref,
                scale: Formily.Reactive.observable.ref,
                width: Formily.Reactive.observable.ref,
                height: Formily.Reactive.observable.ref,
                flip: Formily.Reactive.observable.ref,
                background: Formily.Reactive.observable.ref,
                setType: Formily.Reactive.action,
                setScale: Formily.Reactive.action,
                setSize: Formily.Reactive.action,
                resetSize: Formily.Reactive.action,
                setBackground: Formily.Reactive.action,
                setFlip: Formily.Reactive.action,
            });
        };
        Screen.prototype.setType = function (type) {
            this.type = type;
        };
        Screen.prototype.setScale = function (scale) {
            this.scale = scale;
        };
        Screen.prototype.setSize = function (width, height) {
            if (width) {
                this.width = width;
            }
            if (height) {
                this.height = height;
            }
        };
        Screen.prototype.resetSize = function () {
            this.width = '100%';
            this.height = '100%';
        };
        Screen.prototype.setBackground = function (background) {
            this.background = background;
        };
        Screen.prototype.setFlip = function (flip) {
            this.flip = flip;
        };
        return Screen;
    }());

    var Engine = (function (_super) {
        __extends$1(Engine, _super);
        function Engine(props) {
            var _this = _super.call(this, props) || this;
            _this.source = GlobalDragSource;
            _this.props = __assign$1(__assign$1({}, Engine.defaultProps), props);
            _this.init();
            _this.id = Designable.Shared.uid();
            return _this;
        }
        Engine.prototype.init = function () {
            this.workbench = new Workbench(this);
            this.screen = new Screen(this);
            this.cursor = new Cursor(this);
            this.keyboard = new Keyboard(this);
        };
        Engine.prototype.setCurrentTree = function (tree) {
            if (this.workbench.currentWorkspace) {
                this.workbench.currentWorkspace.operation.tree.from(tree);
            }
        };
        Engine.prototype.getCurrentTree = function () {
            var _a, _b, _c;
            return (_c = (_b = (_a = this.workbench) === null || _a === void 0 ? void 0 : _a.currentWorkspace) === null || _b === void 0 ? void 0 : _b.operation) === null || _c === void 0 ? void 0 : _c.tree;
        };
        Engine.prototype.getAllSelectedNodes = function () {
            var results = [];
            for (var i = 0; i < this.workbench.workspaces.length; i++) {
                var workspace = this.workbench.workspaces[i];
                results = results.concat(workspace.operation.getSelectedNodes());
            }
            return results;
        };
        Engine.prototype.findNodeById = function (id) {
            for (var i = 0; i < this.workbench.workspaces.length; i++) {
                var workspace = this.workbench.workspaces[i];
                var node = workspace.operation.tree.findById(id);
                if (node) {
                    return node;
                }
            }
        };
        Engine.prototype.findSourceNodeById = function (id) {
            return this.source.tree.findById(id);
        };
        Engine.prototype.findDraggingNodes = function () {
            var results = [];
            this.workbench.eachWorkspace(function (workspace) {
                var _a;
                (_a = workspace.operation.viewportDragon.dragNodes) === null || _a === void 0 ? void 0 : _a.forEach(function (node) {
                    if (!results.includes(node)) {
                        results.push(node);
                    }
                });
            });
            return results;
        };
        Engine.prototype.createNode = function (node, parent) {
            return new TreeNode(node, parent);
        };
        Engine.prototype.mount = function () {
            this.attachEvents(window);
        };
        Engine.prototype.unmount = function () {
            this.destroy();
        };
        Engine.defaultProps = {
            shortcuts: [],
            effects: [],
            drivers: [],
            sourceIdAttrName: 'data-designer-source-id',
            nodeIdAttrName: 'data-designer-node-id',
            nodeHelpersIdAttrName: 'data-designer-node-helpers-id',
            outlineNodeIdAttrName: 'data-designer-outline-node-id',
            defaultScreenType: exports.ScreenType.PC,
        };
        return Engine;
    }(Designable.Shared.Event));

    var useCursorEffect = function (engine) {
        engine.subscribeTo(MouseMoveEvent, function (event) {
            engine.cursor.setStatus(engine.cursor.status === exports.CursorStatus.Dragging ||
                engine.cursor.status === exports.CursorStatus.DragStart
                ? engine.cursor.status
                : exports.CursorStatus.Normal);
            engine.cursor.setPosition(event.data);
        });
        engine.subscribeTo(DragStartEvent, function (event) {
            engine.cursor.setStatus(exports.CursorStatus.DragStart);
            engine.cursor.setDragStartPosition(event.data);
        });
        engine.subscribeTo(DragMoveEvent, function () {
            engine.cursor.setStatus(exports.CursorStatus.Dragging);
        });
        engine.subscribeTo(DragStopEvent, function (event) {
            engine.cursor.setStatus(exports.CursorStatus.DragStop);
            engine.cursor.setDragEndPosition(event.data);
            Designable.Shared.requestIdle(function () {
                engine.cursor.setStatus(exports.CursorStatus.Normal);
            });
        });
        engine.subscribeTo(MouseMoveEvent, function (event) {
            var _a, _b;
            var currentWorkspace = (_a = event === null || event === void 0 ? void 0 : event.context) === null || _a === void 0 ? void 0 : _a.workspace;
            if (!currentWorkspace)
                return;
            var operation = currentWorkspace.operation;
            if (engine.cursor.status !== exports.CursorStatus.Normal) {
                operation.hover.clear();
                return;
            }
            var target = event.data.target;
            var el = (_b = target === null || target === void 0 ? void 0 : target.closest) === null || _b === void 0 ? void 0 : _b.call(target, "\n      *[" + engine.props.nodeIdAttrName + "],\n      *[" + engine.props.outlineNodeIdAttrName + "]\n    ");
            if (!(el === null || el === void 0 ? void 0 : el.getAttribute)) {
                return;
            }
            var nodeId = el.getAttribute(engine.props.nodeIdAttrName);
            var outlineNodeId = el.getAttribute(engine.props.outlineNodeIdAttrName);
            var node = operation.tree.findById(nodeId || outlineNodeId);
            if (node) {
                operation.hover.setHover(node);
            }
            else {
                operation.hover.clear();
            }
        });
    };

    var useViewportEffect = function (engine) {
        engine.subscribeTo(ViewportResizeEvent, function (event) {
            var _a;
            var currentWorkspace = (_a = event === null || event === void 0 ? void 0 : event.context) === null || _a === void 0 ? void 0 : _a.workspace;
            if (!currentWorkspace)
                return;
            var viewport = currentWorkspace.viewport;
            var outline = currentWorkspace.outline;
            if (viewport.matchViewport(event.data.target)) {
                viewport.digestViewport();
            }
            if (outline.matchViewport(event.data.target)) {
                outline.digestViewport();
            }
        });
        engine.subscribeTo(ViewportScrollEvent, function (event) {
            var _a;
            var currentWorkspace = (_a = event === null || event === void 0 ? void 0 : event.context) === null || _a === void 0 ? void 0 : _a.workspace;
            if (!currentWorkspace)
                return;
            var viewport = currentWorkspace.viewport;
            var outline = currentWorkspace.outline;
            if (viewport.matchViewport(event.data.target)) {
                viewport.digestViewport();
            }
            if (outline.matchViewport(event.data.target)) {
                outline.digestViewport();
            }
        });
    };

    var useDragDropEffect = function (engine) {
        engine.subscribeTo(DragStartEvent, function (event) {
            if (engine.cursor.type !== exports.CursorType.Move)
                return;
            var target = event.data.target;
            var el = target === null || target === void 0 ? void 0 : target.closest("\n       *[" + engine.props.nodeIdAttrName + "],\n       *[" + engine.props.sourceIdAttrName + "],\n       *[" + engine.props.outlineNodeIdAttrName + "]\n      ");
            if (!(el === null || el === void 0 ? void 0 : el.getAttribute))
                return;
            var sourceId = el === null || el === void 0 ? void 0 : el.getAttribute(engine.props.sourceIdAttrName);
            var outlineId = el === null || el === void 0 ? void 0 : el.getAttribute(engine.props.outlineNodeIdAttrName);
            var nodeId = el === null || el === void 0 ? void 0 : el.getAttribute(engine.props.nodeIdAttrName);
            engine.workbench.eachWorkspace(function (currentWorkspace) {
                var _a, _b;
                var operation = currentWorkspace.operation;
                if (nodeId || outlineId) {
                    var node_1 = engine.findNodeById(outlineId || nodeId);
                    if (operation.focusNode && operation.focusNode.contains(node_1)) {
                        operation.setDragNodes([operation.focusNode]);
                        return;
                    }
                    else {
                        operation.focusClean();
                    }
                    if (node_1) {
                        if (((_a = node_1 === null || node_1 === void 0 ? void 0 : node_1.designerProps) === null || _a === void 0 ? void 0 : _a.draggable) === false)
                            return;
                        if (node_1 === node_1.root)
                            return;
                        var validSelected = engine.getAllSelectedNodes().filter(function (node) {
                            var _a;
                            if (node) {
                                return (((_a = node === null || node === void 0 ? void 0 : node.designerProps) === null || _a === void 0 ? void 0 : _a.draggable) !== false && node !== node.root);
                            }
                            return false;
                        });
                        if (validSelected.some(function (selectNode) { return selectNode === node_1; })) {
                            operation.setDragNodes(validSelected);
                        }
                        else {
                            operation.setDragNodes([node_1]);
                        }
                    }
                }
                else if (sourceId) {
                    var sourceNode = engine.findSourceNodeById(sourceId);
                    if (sourceNode) {
                        if (((_b = sourceNode === null || sourceNode === void 0 ? void 0 : sourceNode.designerProps) === null || _b === void 0 ? void 0 : _b.draggable) === false)
                            return;
                        operation.setDragNodes([sourceNode]);
                    }
                }
            });
        });
        engine.subscribeTo(DragMoveEvent, function (event) {
            if (engine.cursor.type !== exports.CursorType.Move)
                return;
            var target = event.data.target;
            var el = target === null || target === void 0 ? void 0 : target.closest("\n      *[" + engine.props.nodeIdAttrName + "],\n      *[" + engine.props.outlineNodeIdAttrName + "]\n    ");
            var nodeId = el === null || el === void 0 ? void 0 : el.getAttribute(engine.props.nodeIdAttrName);
            var outlineId = el === null || el === void 0 ? void 0 : el.getAttribute(engine.props.outlineNodeIdAttrName);
            engine.workbench.eachWorkspace(function (currentWorkspace) {
                var operation = currentWorkspace.operation;
                var tree = operation.tree;
                var point = new Designable.Shared.Point(event.data.topClientX, event.data.topClientY);
                var dragNodes = operation.getDragNodes();
                if (!dragNodes.length)
                    return;
                var touchNode = tree.findById(outlineId || nodeId);
                operation.dragWith(point, touchNode);
            });
        });
        engine.subscribeTo(ViewportScrollEvent, function (event) {
            var _a, _b;
            if (engine.cursor.type !== exports.CursorType.Move)
                return;
            var point = new Designable.Shared.Point(engine.cursor.position.topClientX, engine.cursor.position.topClientY);
            var currentWorkspace = (_a = event === null || event === void 0 ? void 0 : event.context) === null || _a === void 0 ? void 0 : _a.workspace;
            if (!currentWorkspace)
                return;
            var operation = currentWorkspace.operation;
            if (!((_b = operation.getDragNodes()) === null || _b === void 0 ? void 0 : _b.length))
                return;
            var tree = operation.tree;
            var viewport = currentWorkspace.viewport;
            var outline = currentWorkspace.outline;
            var viewportTarget = viewport.elementFromPoint(point);
            var outlineTarget = outline.elementFromPoint(point);
            var viewportNodeElement = viewportTarget === null || viewportTarget === void 0 ? void 0 : viewportTarget.closest("\n      *[" + engine.props.nodeIdAttrName + "],\n      *[" + engine.props.outlineNodeIdAttrName + "]\n    ");
            var outlineNodeElement = outlineTarget === null || outlineTarget === void 0 ? void 0 : outlineTarget.closest("\n    *[" + engine.props.nodeIdAttrName + "],\n    *[" + engine.props.outlineNodeIdAttrName + "]\n  ");
            var nodeId = viewportNodeElement === null || viewportNodeElement === void 0 ? void 0 : viewportNodeElement.getAttribute(engine.props.nodeIdAttrName);
            var outlineNodeId = outlineNodeElement === null || outlineNodeElement === void 0 ? void 0 : outlineNodeElement.getAttribute(engine.props.outlineNodeIdAttrName);
            var touchNode = tree.findById(outlineNodeId || nodeId);
            operation.dragWith(point, touchNode);
        });
        engine.subscribeTo(DragStopEvent, function () {
            if (engine.cursor.type !== exports.CursorType.Move)
                return;
            engine.workbench.eachWorkspace(function (currentWorkspace) {
                var operation = currentWorkspace.operation;
                var dragNodes = operation.getDragNodes();
                var closestNode = operation.getClosestNode();
                var closestDirection = operation.getClosestDirection();
                var selection = operation.selection;
                if (!dragNodes.length)
                    return;
                if (dragNodes.length && closestNode && closestDirection) {
                    if (closestDirection === exports.ClosestDirection.After ||
                        closestDirection === exports.ClosestDirection.Under) {
                        if (closestNode.allowSibling(dragNodes)) {
                            selection.batchSafeSelect(closestNode.insertAfter.apply(closestNode, __spread(dragNodes)));
                        }
                    }
                    else if (closestDirection === exports.ClosestDirection.Before ||
                        closestDirection === exports.ClosestDirection.Upper) {
                        if (closestNode.allowSibling(dragNodes)) {
                            selection.batchSafeSelect(closestNode.insertBefore.apply(closestNode, __spread(dragNodes)));
                        }
                    }
                    else if (closestDirection === exports.ClosestDirection.Inner ||
                        closestDirection === exports.ClosestDirection.InnerAfter) {
                        if (closestNode.allowAppend(dragNodes)) {
                            selection.batchSafeSelect(closestNode.appendNode.apply(closestNode, __spread(dragNodes)));
                            operation.setDropNode(closestNode);
                        }
                    }
                    else if (closestDirection === exports.ClosestDirection.InnerBefore) {
                        if (closestNode.allowAppend(dragNodes)) {
                            selection.batchSafeSelect(closestNode.prependNode.apply(closestNode, __spread(dragNodes)));
                            operation.setDropNode(closestNode);
                        }
                    }
                }
                operation.dragClean();
            });
        });
    };

    var useSelectionEffect = function (engine) {
        engine.subscribeTo(MouseClickEvent, function (event) {
            var _a, _b, _c;
            if (engine.cursor.status !== exports.CursorStatus.Normal)
                return;
            var target = event.data.target;
            var el = (_a = target === null || target === void 0 ? void 0 : target.closest) === null || _a === void 0 ? void 0 : _a.call(target, "\n      *[" + engine.props.nodeIdAttrName + "],\n      *[" + engine.props.outlineNodeIdAttrName + "]\n    ");
            var isHelpers = (_b = target === null || target === void 0 ? void 0 : target.closest) === null || _b === void 0 ? void 0 : _b.call(target, "*[" + engine.props.nodeHelpersIdAttrName + "]");
            var currentWorkspace = (_c = event === null || event === void 0 ? void 0 : event.context) === null || _c === void 0 ? void 0 : _c.workspace;
            if (!currentWorkspace)
                return;
            if (!(el === null || el === void 0 ? void 0 : el.getAttribute)) {
                var point = new Designable.Shared.Point(event.data.topClientX, event.data.topClientY);
                var operation_1 = currentWorkspace.operation;
                var viewport = currentWorkspace.viewport;
                var outline = currentWorkspace.outline;
                var isInViewport = viewport.isPointInViewport(point, false);
                var isInOutline = outline.isPointInViewport(point, false);
                if (isHelpers)
                    return;
                if (isInViewport || isInOutline) {
                    var selection_1 = operation_1.selection;
                    var tree_1 = operation_1.tree;
                    selection_1.select(tree_1);
                }
                return;
            }
            var nodeId = el.getAttribute(engine.props.nodeIdAttrName);
            var structNodeId = el.getAttribute(engine.props.outlineNodeIdAttrName);
            var operation = currentWorkspace.operation;
            var selection = operation.selection;
            var tree = operation.tree;
            var node = tree.findById(nodeId || structNodeId);
            if (node) {
                if (engine.keyboard.isKeyDown(Designable.Shared.KeyCode.Meta)) {
                    if (selection.has(node)) {
                        if (selection.selected.length > 1) {
                            selection.remove(node);
                        }
                    }
                    else {
                        selection.add(node);
                    }
                }
                else if (engine.keyboard.isKeyDown(Designable.Shared.KeyCode.Shift)) {
                    if (selection.has(node)) {
                        if (selection.selected.length > 1) {
                            selection.remove(node);
                        }
                    }
                    else {
                        selection.crossAddTo(node);
                    }
                }
                else {
                    if (operation.focusNode !== node) {
                        operation.focusClean();
                    }
                    selection.select(node);
                }
            }
            else {
                selection.select(tree);
            }
        });
    };

    var useFreeSelectionEffect = function (engine) {
        engine.subscribeTo(DragStopEvent, function (event) {
            if (engine.cursor.type !== exports.CursorType.Selection)
                return;
            engine.workbench.eachWorkspace(function (workspace) {
                var viewport = workspace.viewport;
                var dragStartPoint = new Designable.Shared.Point(engine.cursor.dragStartPosition.topClientX, engine.cursor.dragStartPosition.topClientY);
                var dragStartOffsetPoint = viewport.getOffsetPoint(new Designable.Shared.Point(engine.cursor.dragStartPosition.topClientX, engine.cursor.dragStartPosition.topClientY));
                var dragEndOffsetPoint = viewport.getOffsetPoint(new Designable.Shared.Point(engine.cursor.position.topClientX, engine.cursor.position.topClientY));
                if (!viewport.isPointInViewport(dragStartPoint, false))
                    return;
                var tree = workspace.operation.tree;
                var selectionRect = Designable.Shared.calcRectByStartEndPoint(dragStartOffsetPoint, dragEndOffsetPoint, viewport.scrollX - engine.cursor.dragStartScrollOffset.scrollX, viewport.scrollY - engine.cursor.dragStartScrollOffset.scrollY);
                var selected = [];
                tree.eachChildren(function (node) {
                    var nodeRect = viewport.getValidNodeOffsetRect(node);
                    if (nodeRect && Designable.Shared.isCrossRectInRect(selectionRect, nodeRect)) {
                        selected.push([node, nodeRect]);
                    }
                });
                var selectedNodes = selected.reduce(function (buf, _a) {
                    var _b = __read$1(_a, 2), node = _b[0], nodeRect = _b[1];
                    if (Designable.Shared.isRectInRect(nodeRect, selectionRect)) {
                        if (selected.some(function (_a) {
                            var _b = __read$1(_a, 1), selectNode = _b[0];
                            return selectNode.isMyParents(node);
                        })) {
                            return buf;
                        }
                    }
                    return buf.concat(node);
                }, []);
                workspace.operation.selection.batchSafeSelect(selectedNodes);
            });
            engine.cursor.setType(exports.CursorType.Move);
        });
    };

    var useKeyboardEffect = function (engine) {
        engine.subscribeTo(KeyDownEvent, function (event) {
            var keyboard = engine.keyboard;
            if (!keyboard)
                return;
            keyboard.handleKeyboard(event, __assign$1(__assign$1({}, event.context), { workspace: engine.workbench.activeWorkspace || engine.workbench.currentWorkspace }));
        });
        engine.subscribeTo(KeyUpEvent, function (event) {
            var keyboard = engine.keyboard;
            if (!keyboard)
                return;
            keyboard.handleKeyboard(event, __assign$1(__assign$1({}, event.context), { workspace: engine.workbench.activeWorkspace || engine.workbench.currentWorkspace }));
        });
    };

    var useAutoScrollEffect = function (engine) {
        var xScroller = null;
        var yScroller = null;
        var xScrollerAnimationStop = null;
        var yScrollerAnimationStop = null;
        var scrolling = function (point, viewport) {
            if (engine.cursor.status === exports.CursorStatus.Dragging) {
                xScroller = Designable.Shared.calcAutoScrollBasicInfo(point, 'x', viewport.rect);
                yScroller = Designable.Shared.calcAutoScrollBasicInfo(point, 'y', viewport.rect);
                if (xScroller) {
                    if (xScrollerAnimationStop) {
                        xScrollerAnimationStop();
                    }
                    xScrollerAnimationStop = Designable.Shared.scrollAnimate(viewport.scrollContainer, 'x', xScroller.direction, xScroller.speed);
                }
                else {
                    if (xScrollerAnimationStop) {
                        xScrollerAnimationStop();
                    }
                }
                if (yScroller) {
                    if (yScrollerAnimationStop) {
                        yScrollerAnimationStop();
                    }
                    yScrollerAnimationStop = Designable.Shared.scrollAnimate(viewport.scrollContainer, 'y', yScroller.direction, yScroller.speed);
                }
                else {
                    if (yScrollerAnimationStop) {
                        yScrollerAnimationStop();
                    }
                }
            }
        };
        engine.subscribeTo(DragStartEvent, function (event) {
            if (engine.cursor.type !== exports.CursorType.Move &&
                engine.cursor.type !== exports.CursorType.Selection)
                return;
            engine.workbench.eachWorkspace(function (workspace) {
                var viewport = workspace.viewport;
                var outline = workspace.outline;
                var point = new Designable.Shared.Point(event.data.topClientX, event.data.topClientY);
                if (!viewport.isPointInViewport(point) &&
                    !outline.isPointInViewport(point))
                    return;
                engine.cursor.setDragStartScrollOffset({
                    scrollX: viewport.scrollX,
                    scrollY: viewport.scrollY,
                });
            });
        });
        engine.subscribeTo(DragMoveEvent, function (event) {
            if (engine.cursor.type !== exports.CursorType.Move &&
                engine.cursor.type !== exports.CursorType.Selection)
                return;
            engine.workbench.eachWorkspace(function (workspace) {
                var viewport = workspace.viewport;
                var outline = workspace.outline;
                var point = new Designable.Shared.Point(event.data.topClientX, event.data.topClientY);
                if (outline.isPointInViewport(point)) {
                    scrolling(point, outline);
                }
                else if (viewport.isPointInViewport(point)) {
                    scrolling(point, viewport);
                }
            });
        });
        engine.subscribeTo(DragStopEvent, function () {
            if (engine.cursor.type !== exports.CursorType.Move &&
                engine.cursor.type !== exports.CursorType.Selection)
                return;
            xScroller = null;
            yScroller = null;
            if (xScrollerAnimationStop) {
                xScrollerAnimationStop();
            }
            if (yScrollerAnimationStop) {
                yScrollerAnimationStop();
            }
        });
    };

    var useWorkspaceEffect = function (engine) {
        engine.subscribeWith([
            'append:node',
            'insert:after',
            'insert:before',
            'insert:children',
            'drag:node',
            'drop:node',
            'prepend:node',
            'remove:node',
            'select:node',
            'update:children',
            'wrap:node',
            'update:node:props',
        ], function (event) {
            var _a;
            if ((_a = event.context) === null || _a === void 0 ? void 0 : _a.workbench) {
                engine.workbench.setActiveWorkspace(event.context.workspace);
            }
        });
        engine.subscribeTo(SelectNodeEvent, function (event) {
            engine.workbench.eachWorkspace(function (workspace) {
                if (workspace !== event.context.workspace) {
                    workspace.operation.selection.clear();
                }
            });
        });
    };

    var SelectNodes = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Meta],
    });
    var SelectSameTypeNodes = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Shift],
    });
    var SelectAllNodes = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Meta, _global_Designable_Shared_KeyCode.A],
        handler: function (context) {
            var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
            if (operation) {
                var tree = operation.tree;
                var selection = operation.selection;
                selection.batchSelect(tree.childrens);
                operation.snapshot();
            }
        },
    });

    var DeleteNodes = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Backspace],
        handler: function (context) {
            var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
            if (operation) {
                operation.removeNodes(operation.getSelectedNodes());
            }
        },
    });
    var Clipboard = {
        nodes: [],
    };
    var CopyNodes = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Meta, _global_Designable_Shared_KeyCode.C],
        handler: function (context) {
            var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
            if (operation) {
                Clipboard.nodes = operation.getSelectedNodes();
            }
        },
    });
    var PasteNodes = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Meta, _global_Designable_Shared_KeyCode.V],
        handler: function (context) {
            var operation = context === null || context === void 0 ? void 0 : context.workspace.operation;
            if (operation) {
                operation.cloneNodes(Clipboard.nodes);
            }
        },
    });

    var UndoMutation = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Meta, _global_Designable_Shared_KeyCode.Z],
        handler: function (context) {
            var workspace = context === null || context === void 0 ? void 0 : context.workspace;
            if (workspace) {
                workspace.history.undo();
            }
            workspace.operation.hover.clear();
        },
    });
    var RedoMutation = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Meta, _global_Designable_Shared_KeyCode.Shift, _global_Designable_Shared_KeyCode.Z],
        handler: function (context) {
            var workspace = context === null || context === void 0 ? void 0 : context.workspace;
            if (workspace) {
                workspace.history.redo();
            }
            workspace.operation.hover.clear();
        },
    });

    var CursorSwitchSelection = new Shortcut({
        codes: [_global_Designable_Shared_KeyCode.Shift, _global_Designable_Shared_KeyCode.S],
        handler: function (context) {
            var engine = context === null || context === void 0 ? void 0 : context.engine;
            if (engine) {
                engine.cursor.setType(exports.CursorType.Selection);
            }
        },
    });

    var DEFAULT_EFFECTS = [
        useCursorEffect,
        useViewportEffect,
        useDragDropEffect,
        useSelectionEffect,
        useKeyboardEffect,
        useAutoScrollEffect,
        useWorkspaceEffect,
        useFreeSelectionEffect,
    ];
    var DEFAULT_DRIVERS = [
        DragDropDriver,
        MouseClickDriver,
        MouseMoveDriver,
        ViewportResizeDriver,
        ViewportScrollDriver,
        KeyboardDriver,
    ];
    var DEFAULT_SHORTCUTS = [
        SelectNodes,
        SelectAllNodes,
        SelectSameTypeNodes,
        DeleteNodes,
        CopyNodes,
        PasteNodes,
        UndoMutation,
        RedoMutation,
        CursorSwitchSelection,
    ];

    var isType = function (type) {
        return function (obj) {
            return obj != null &&
                (Array.isArray(type) ? type : [type]).some(function (t) { return getType(obj) === "[object " + t + "]"; });
        };
    };
    var getType = function (obj) { return Object.prototype.toString.call(obj); };
    var isFn = isType([
        'Function',
        'AsyncFunction',
        'GeneratorFunction',
    ]);
    var isWindow = isType('Window');
    var isHTMLElement = function (obj) {
        return (obj === null || obj === void 0 ? void 0 : obj['nodeName']) || (obj === null || obj === void 0 ? void 0 : obj['tagName']);
    };
    var isArr = Array.isArray;
    var isPlainObj = isType('Object');
    var isStr = isType('String');
    var isBool = isType('Boolean');
    var isNum = isType('Number');
    var isObj = function (val) { return typeof val === 'object'; };
    var isRegExp = isType('RegExp');

    var UNSUBSCRIBE_ID_SYMBOL = Symbol('UNSUBSCRIBE_ID_SYMBOL');
    var Subscrible = (function () {
        function Subscrible() {
            var _this = this;
            this.subscribers = {
                index: 0,
            };
            this.unsubscribe = function (id) {
                if (id === undefined || id === null) {
                    for (var key in _this.subscribers) {
                        _this.unsubscribe(key);
                    }
                    return;
                }
                if (!isFn(id)) {
                    delete _this.subscribers[id];
                }
                else {
                    delete _this.subscribers[id[UNSUBSCRIBE_ID_SYMBOL]];
                }
            };
        }
        Subscrible.prototype.dispatch = function (event, context) {
            for (var key in this.subscribers) {
                if (isFn(this.subscribers[key])) {
                    event['context'] = context;
                    this.subscribers[key](event);
                }
            }
        };
        Subscrible.prototype.subscribe = function (subscriber) {
            var _this = this;
            var id;
            if (isFn(subscriber)) {
                id = this.subscribers.index + 1;
                this.subscribers[id] = subscriber;
                this.subscribers.index++;
            }
            var unsubscribe = function () {
                _this.unsubscribe(id);
            };
            unsubscribe[UNSUBSCRIBE_ID_SYMBOL] = id;
            return unsubscribe;
        };
        return Subscrible;
    }());

    var __extends = (undefined && undefined.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var ATTACHED_SYMBOL = Symbol('ATTACHED_SYMBOL');
    var EVENTS_SYMBOL = Symbol('__EVENTS_SYMBOL__');
    var EVENTS_ONCE_SYMBOL = Symbol('EVENTS_ONCE_SYMBOL');
    var EVENTS_BATCH_SYMBOL = Symbol('EVENTS_BATCH_SYMBOL');
    var env = {
        ALL_EVENT_DRIVERS: [],
    };
    var EventDriver = (function () {
        function EventDriver(engine, context) {
            this.container = document;
            this.contentWindow = window;
            this.engine = engine;
            this.context = context;
        }
        EventDriver.prototype.dispatch = function (event) {
            this.engine.dispatch(event, this.context);
        };
        EventDriver.prototype.subscribe = function (subscriber) {
            return this.engine.subscribe(subscriber);
        };
        EventDriver.prototype.subscribeTo = function (type, subscriber) {
            return this.engine.subscribeTo(type, subscriber);
        };
        EventDriver.prototype.subscribeWith = function (type, subscriber) {
            return this.subscribeWith(type, subscriber);
        };
        EventDriver.prototype.attach = function (container) {
            console.error('attach must implement.');
        };
        EventDriver.prototype.detach = function (container) {
            console.error('attach must implement.');
        };
        EventDriver.prototype.eventTarget = function (type) {
            var _a;
            if (type === 'resize' || type === 'scroll') {
                if (this.container === ((_a = this.contentWindow) === null || _a === void 0 ? void 0 : _a.document)) {
                    return this.contentWindow;
                }
            }
            return this.container;
        };
        EventDriver.prototype.addEventListener = function (type, listener, options) {
            var _a, _b, _c, _d;
            var target = this.eventTarget(type);
            if (options === null || options === void 0 ? void 0 : options.once) {
                target[EVENTS_ONCE_SYMBOL] = target[EVENTS_ONCE_SYMBOL] || {};
                delete options.once;
                if (!target[EVENTS_ONCE_SYMBOL][type]) {
                    target.addEventListener(type, listener, options);
                    target[EVENTS_ONCE_SYMBOL][type] = listener;
                }
            }
            else {
                target[EVENTS_SYMBOL] = target[EVENTS_SYMBOL] || {};
                target[EVENTS_SYMBOL][type] = target[EVENTS_SYMBOL][type] || new Map();
                if (!((_b = (_a = target[EVENTS_SYMBOL][type]) === null || _a === void 0 ? void 0 : _a.get) === null || _b === void 0 ? void 0 : _b.call(_a, listener))) {
                    target.addEventListener(type, listener, options);
                    (_d = (_c = target[EVENTS_SYMBOL][type]) === null || _c === void 0 ? void 0 : _c.set) === null || _d === void 0 ? void 0 : _d.call(_c, listener, true);
                }
            }
        };
        EventDriver.prototype.removeEventListener = function (type, listener, options) {
            var _a, _b;
            var target = this.eventTarget(type);
            if (options === null || options === void 0 ? void 0 : options.once) {
                target[EVENTS_ONCE_SYMBOL] = target[EVENTS_ONCE_SYMBOL] || {};
                delete options.once;
                delete target[EVENTS_ONCE_SYMBOL][type];
                target.removeEventListener(type, listener, options);
            }
            else {
                target[EVENTS_SYMBOL] = target[EVENTS_SYMBOL] || {};
                target[EVENTS_SYMBOL][type] = target[EVENTS_SYMBOL][type] || new Map();
                (_b = (_a = target[EVENTS_SYMBOL][type]) === null || _a === void 0 ? void 0 : _a.delete) === null || _b === void 0 ? void 0 : _b.call(_a, listener);
                target.removeEventListener(type, listener, options);
            }
        };
        EventDriver.prototype.batchAddEventListener = function (type, listener, options) {
            if (!env.ALL_EVENT_DRIVERS.includes(this)) {
                env.ALL_EVENT_DRIVERS.push(this);
            }
            env.ALL_EVENT_DRIVERS.forEach(function (driver) {
                var target = driver.eventTarget(type);
                target[EVENTS_BATCH_SYMBOL] = target[EVENTS_BATCH_SYMBOL] || {};
                if (!target[EVENTS_BATCH_SYMBOL][type]) {
                    target.addEventListener(type, listener, options);
                    target[EVENTS_BATCH_SYMBOL][type] = listener;
                }
            });
        };
        EventDriver.prototype.batchRemoveEventListener = function (type, listener, options) {
            env.ALL_EVENT_DRIVERS.forEach(function (driver) {
                var target = driver.eventTarget(type);
                target[EVENTS_BATCH_SYMBOL] = target[EVENTS_BATCH_SYMBOL] || {};
                target.removeEventListener(type, listener, options);
                delete target[EVENTS_BATCH_SYMBOL][type];
            });
        };
        return EventDriver;
    }());
    var Event = (function (_super) {
        __extends(Event, _super);
        function Event(props) {
            var _this = _super.call(this) || this;
            _this.drivers = [];
            _this.containers = [];
            if (isArr(props === null || props === void 0 ? void 0 : props.effects)) {
                props.effects.forEach(function (plugin) {
                    plugin(_this);
                });
            }
            if (isArr(props === null || props === void 0 ? void 0 : props.drivers)) {
                _this.drivers = props.drivers;
            }
            return _this;
        }
        Event.prototype.subscribeTo = function (type, subscriber) {
            return this.subscribe(function (event) {
                if (type && event instanceof type) {
                    subscriber(event);
                }
            });
        };
        Event.prototype.subscribeWith = function (type, subscriber) {
            return this.subscribe(function (event) {
                if (isArr(type)) {
                    if (type.includes(event === null || event === void 0 ? void 0 : event.type)) {
                        subscriber(event);
                    }
                }
                else {
                    if (type && (event === null || event === void 0 ? void 0 : event.type) === type) {
                        subscriber(event);
                    }
                }
            });
        };
        Event.prototype.attachEvents = function (container, contentWindow, context) {
            var _this = this;
            if (contentWindow === void 0) { contentWindow = window; }
            if (!container)
                return;
            if (isWindow(container)) {
                return this.attachEvents(container.document, container, context);
            }
            if (container[ATTACHED_SYMBOL])
                return;
            this.drivers.map(function (EventDriver) {
                var driver = new EventDriver(_this, context);
                driver.contentWindow = contentWindow;
                driver.container = container;
                driver.attach(container);
                return driver;
            });
            container[ATTACHED_SYMBOL] = true;
            if (!this.containers.includes(container)) {
                this.containers.push(container);
            }
        };
        Event.prototype.detachEvents = function (container) {
            var _this = this;
            if (!container) {
                this.containers.forEach(function (container) {
                    _this.detachEvents(container);
                });
                return;
            }
            if (container instanceof Window) {
                return this.detachEvents(container.document);
            }
            if (!container[ATTACHED_SYMBOL])
                return;
            env.ALL_EVENT_DRIVERS = env.ALL_EVENT_DRIVERS.reduce(function (drivers, driver) {
                if (driver.container === container) {
                    driver.detach(container);
                    return drivers;
                }
                return drivers.concat(driver);
            }, []);
            this.containers = this.containers.filter(function (item) { return item !== container; });
            delete container[ATTACHED_SYMBOL];
            delete container[EVENTS_SYMBOL];
            delete container[EVENTS_ONCE_SYMBOL];
            delete container[EVENTS_BATCH_SYMBOL];
        };
        Event.prototype.destroy = function () {
            this.detachEvents();
            this.unsubscribe();
        };
        return Event;
    }(Subscrible));

    var createUniformSpeedAnimation = function (speed, callback) {
        if (speed === void 0) { speed = 10; }
        var request = null;
        var startTime = null;
        var start = function () {
            if (request)
                return;
            request = requestAnimationFrame(function (timestamp) {
                if (startTime === null) {
                    startTime = timestamp;
                }
                var deltaTime = timestamp - startTime;
                var delta = (deltaTime / 1000) * speed;
                callback(delta);
                request = null;
                start();
            });
        };
        start();
        return function () {
            if (request) {
                cancelAnimationFrame(request);
                request = null;
            }
            startTime = null;
        };
    };
    var calcSpeedFactor = function (delta, threshold) {
        if (delta === void 0) { delta = 0; }
        if (threshold === void 0) { threshold = Infinity; }
        if (threshold >= delta) {
            return (threshold - delta) / threshold;
        }
        return 0;
    };

    var MAX_SPEED = 50;
    var calcAutoScrollBasicInfo = function (point, axis, viewport, maxSpeed) {
        if (maxSpeed === void 0) { maxSpeed = MAX_SPEED; }
        var left = viewport.left, right = viewport.right, top = viewport.top, bottom = viewport.bottom;
        var x = point.x, y = point.y;
        var begin;
        var end;
        var pos;
        var speedFactor;
        if (axis === 'x') {
            begin = left;
            end = right;
            pos = x;
        }
        else {
            begin = top;
            end = bottom;
            pos = y;
        }
        var scrollerSize = end - begin;
        var moveDistance = scrollerSize > 400 ? 100 : scrollerSize / 3;
        if (end - pos < moveDistance) {
            return {
                direction: 'end',
                speedFactor: speedFactor,
                speed: maxSpeed * calcSpeedFactor(end - pos, moveDistance),
            };
        }
        else if (pos - begin < moveDistance) {
            return {
                direction: 'begin',
                speedFactor: speedFactor,
                speed: maxSpeed * calcSpeedFactor(pos - begin, moveDistance),
            };
        }
        return null;
    };
    var updateScrollValue = function (element, axis, value, callback) {
        if (element) {
            if (!isWindow(element)) {
                if (axis === 'x') {
                    if (element.scrollLeft + value > element.scrollWidth)
                        return;
                    element.scrollLeft += value;
                    if (isFn(callback)) {
                        callback(element.scrollLeft);
                    }
                }
                else {
                    if (element.scrollTop + value > element.scrollHeight)
                        return;
                    element.scrollTop += value;
                    if (isFn(callback)) {
                        callback(element.scrollTop);
                    }
                }
            }
            else {
                if (axis === 'x') {
                    element.scrollBy(value, 0);
                }
                else {
                    element.scrollBy(0, value);
                }
                if (isFn(callback)) {
                    callback(value);
                }
            }
        }
    };
    var scrollAnimate = function (element, axis, direction, speed, callback) {
        return createUniformSpeedAnimation(speed, function (delta) {
            updateScrollValue(element, axis, direction === 'begin' ? 0 - delta : delta, callback);
        });
    };

    var __read = (undefined && undefined.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var Point = (function () {
        function Point(x, y) {
            this.x = x;
            this.y = y;
        }
        return Point;
    }());
    exports.RectQuadrant = void 0;
    (function (RectQuadrant) {
        RectQuadrant["Inner1"] = "I1";
        RectQuadrant["Inner2"] = "I2";
        RectQuadrant["Inner3"] = "I3";
        RectQuadrant["Inner4"] = "I4";
        RectQuadrant["Outer1"] = "O1";
        RectQuadrant["Outer2"] = "O2";
        RectQuadrant["Outer3"] = "O3";
        RectQuadrant["Outer4"] = "O4";
    })(exports.RectQuadrant || (exports.RectQuadrant = {}));
    function isPointInRect(point, rect, sensitive) {
        if (sensitive === void 0) { sensitive = true; }
        var boundSensor = function (value) {
            if (!sensitive)
                return 0;
            var sensor = value * 0.1;
            if (sensor > 20)
                return 20;
            if (sensor < 10)
                return 10;
            return sensor;
        };
        return (point.x >= rect.x + boundSensor(rect.width) &&
            point.x <= rect.x + rect.width - boundSensor(rect.width) &&
            point.y >= rect.y + boundSensor(rect.height) &&
            point.y <= rect.y + rect.height - boundSensor(rect.height));
    }
    function getRectPoints(source) {
        var p1 = new Point(source.x, source.y);
        var p2 = new Point(source.x + source.width, source.y);
        var p3 = new Point(source.x + source.width, source.y + source.height);
        var p4 = new Point(source.x, source.y + source.height);
        return [p1, p2, p3, p4];
    }
    function isRectInRect(target, source) {
        var _a = __read(getRectPoints(source), 4), p1 = _a[0], p2 = _a[1], p3 = _a[2], p4 = _a[3];
        return (isPointInRect(p1, target, false) &&
            isPointInRect(p2, target, false) &&
            isPointInRect(p3, target, false) &&
            isPointInRect(p4, target, false));
    }
    function isCrossRectInRect(target, source) {
        var targetCenterPoint = new Point(target.x + target.width / 2, target.y + target.height / 2);
        var sourceCenterPoint = new Point(source.x + source.width / 2, source.y + source.height / 2);
        return (Math.abs(targetCenterPoint.x - sourceCenterPoint.x) <=
            target.width / 2 + source.width / 2 &&
            Math.abs(targetCenterPoint.y - sourceCenterPoint.y) <=
                target.height / 2 + source.height / 2);
    }
    function calcQuadrantOfPonitToRect(point, rect) {
        var isInner = isPointInRect(point, rect);
        if (point.x <= rect.x + rect.width / 2) {
            if (point.y <= rect.y + rect.height / 2) {
                if (isInner) {
                    return exports.RectQuadrant.Inner1;
                }
                else {
                    return exports.RectQuadrant.Outer1;
                }
            }
            else {
                if (isInner) {
                    return exports.RectQuadrant.Inner4;
                }
                else {
                    return exports.RectQuadrant.Outer4;
                }
            }
        }
        else {
            if (point.y <= rect.y + rect.height / 2) {
                if (isInner) {
                    return exports.RectQuadrant.Inner2;
                }
                else {
                    return exports.RectQuadrant.Outer2;
                }
            }
            else {
                if (isInner) {
                    return exports.RectQuadrant.Inner3;
                }
                else {
                    return exports.RectQuadrant.Outer3;
                }
            }
        }
    }
    function calcDistanceOfPointToRect(point, rect) {
        var minX = Math.min(Math.abs(point.x - rect.x), Math.abs(point.x - (rect.x + rect.width)));
        var minY = Math.min(Math.abs(point.y - rect.y), Math.abs(point.y - (rect.y + rect.height)));
        if (point.x >= rect.x && point.x <= rect.x + rect.width) {
            minX = 0;
        }
        if (point.y >= rect.y && point.y <= rect.y + rect.height) {
            minY = 0;
        }
        return Math.sqrt(Math.pow(minX, 2) + Math.pow(minY, 2));
    }
    function calcDistancePointToEdge(point, rect) {
        var distanceTop = Math.abs(point.y - rect.y);
        var distanceBottom = Math.abs(point.y - (rect.y + rect.height));
        var distanceLeft = Math.abs(point.x - rect.x);
        var distanceRight = Math.abs(point.x - (rect.x + rect.width));
        return Math.min(distanceTop, distanceBottom, distanceLeft, distanceRight);
    }
    function isNearAfter(point, rect, inline) {
        if (inline === void 0) { inline = false; }
        if (inline) {
            return (Math.abs(point.x - rect.x) + Math.abs(point.y - rect.y) >
                Math.abs(point.x - (rect.x + rect.width)) +
                    Math.abs(point.y - (rect.y + rect.height)));
        }
        return Math.abs(point.y - rect.y) > Math.abs(point.y - (rect.y + rect.height));
    }
    function calcRelativeOfPointToRect(point, rect) {
        var distance = calcDistanceOfPointToRect(point, rect);
        var quadrant = calcQuadrantOfPonitToRect(point, rect);
        return {
            quadrant: quadrant,
            distance: distance,
        };
    }
    function calcBoundingRect(rects) {
        if (!(rects === null || rects === void 0 ? void 0 : rects.length))
            return;
        if ((rects === null || rects === void 0 ? void 0 : rects.length) === 1 && !rects[0])
            return;
        var minTop = Infinity;
        var maxBottom = -Infinity;
        var minLeft = Infinity;
        var maxRight = -Infinity;
        rects.forEach(function (item) {
            var rect = new DOMRect(item.x, item.y, item.width, item.height);
            if (rect.top <= minTop) {
                minTop = rect.top;
            }
            if (rect.bottom >= maxBottom) {
                maxBottom = rect.bottom;
            }
            if (rect.left <= minLeft) {
                minLeft = rect.left;
            }
            if (rect.right >= maxRight) {
                maxRight = rect.right;
            }
        });
        return new DOMRect(minLeft, minTop, maxRight - minLeft, maxBottom - minTop);
    }
    function calcRectByStartEndPoint(startPoint, endPoint, scrollX, scrollY) {
        if (scrollX === void 0) { scrollX = 0; }
        if (scrollY === void 0) { scrollY = 0; }
        var drawStartX = 0, drawStartY = 0;
        if (endPoint.x + scrollX >= startPoint.x &&
            endPoint.y + scrollY >= startPoint.y) {
            drawStartX = startPoint.x;
            drawStartY = startPoint.y;
            return new DOMRect(drawStartX - scrollX, drawStartY - scrollY, Math.abs(endPoint.x - startPoint.x + scrollX), Math.abs(endPoint.y - startPoint.y + scrollY));
        }
        else if (endPoint.x + scrollX < startPoint.x &&
            endPoint.y + scrollY < startPoint.y) {
            drawStartX = endPoint.x;
            drawStartY = endPoint.y;
            return new DOMRect(drawStartX, drawStartY, Math.abs(endPoint.x - startPoint.x) - scrollX, Math.abs(endPoint.y - startPoint.y) - scrollY);
        }
        else if (endPoint.x + scrollX < startPoint.x &&
            endPoint.y + scrollY >= startPoint.y) {
            drawStartX = endPoint.x;
            drawStartY = startPoint.y;
            return new DOMRect(drawStartX - scrollX, drawStartY - scrollY, Math.abs(endPoint.x - startPoint.x + scrollX), Math.abs(endPoint.y - startPoint.y + scrollY));
        }
        else {
            drawStartX = startPoint.x;
            drawStartY = endPoint.y;
            return new DOMRect(drawStartX, drawStartY, Math.abs(endPoint.x - startPoint.x) - scrollX, Math.abs(endPoint.y - startPoint.y) - scrollY);
        }
    }

    var IDX = 36, HEX = '';
    while (IDX--)
        HEX += IDX.toString(36);
    function uid(len) {
        var str = '', num = len || 11;
        while (num--)
            str += HEX[(Math.random() * 36) | 0];
        return str;
    }

    var instOf = function (value, cls) {
        if (isFn(cls))
            return value instanceof cls;
        if (isStr(cls))
            return window[cls] ? value instanceof window[cls] : false;
        return false;
    };

    var __assign = (undefined && undefined.__assign) || function () {
        __assign = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    var NATIVE_KEYS = [
        ['Map', function (map) { return new Map(map); }],
        ['WeakMap', function (map) { return new WeakMap(map); }],
        ['WeakSet', function (set) { return new WeakSet(set); }],
        ['Set', function (set) { return new Set(set); }],
        ['Date', function (date) { return new Date(date); }],
        'FileList',
        'File',
        'URL',
        'RegExp',
        [
            'Promise',
            function (promise) {
                return new Promise(function (resolve, reject) { return promise.then(resolve, reject); });
            },
        ],
    ];
    var isNativeObject = function (values) {
        for (var i = 0; i < NATIVE_KEYS.length; i++) {
            var item = NATIVE_KEYS[i];
            if (Array.isArray(item) && item[0]) {
                if (instOf(values, item[0])) {
                    return item[1] ? item[1] : item[0];
                }
            }
            else {
                if (instOf(values, item)) {
                    return item;
                }
            }
        }
    };
    var shallowClone = function (values) {
        var nativeClone;
        if (Array.isArray(values)) {
            return values.slice(0);
        }
        else if (isNativeObject(values)) {
            nativeClone = isNativeObject(values);
            return isFn(nativeClone) ? nativeClone(values) : values;
        }
        else if (typeof values === 'object' && !!values) {
            return __assign({}, values);
        }
    };
    var clone = function (values, filter) {
        var nativeClone;
        if (Array.isArray(values)) {
            return values.map(function (item) { return clone(item, filter); });
        }
        else if (isNativeObject(values)) {
            nativeClone = isNativeObject(values);
            return isFn(nativeClone) ? nativeClone(values) : values;
        }
        else if (typeof values === 'object' && !!values) {
            if ('$$typeof' in values && '_owner' in values) {
                return values;
            }
            if (values._isAMomentObject) {
                return values;
            }
            if (values._isJSONSchemaObject) {
                return values;
            }
            if (isFn(values.toJS)) {
                return values;
            }
            if (isFn(values.toJSON)) {
                return values;
            }
            if (Object.getOwnPropertySymbols(values || {}).length) {
                return values;
            }
            var res = {};
            for (var key in values) {
                if (Object.hasOwnProperty.call(values, key)) {
                    if (isFn(filter)) {
                        if (filter(values[key], key)) {
                            res[key] = clone(values[key], filter);
                        }
                        else {
                            res[key] = values[key];
                        }
                    }
                    else {
                        res[key] = clone(values[key], filter);
                    }
                }
            }
            return res;
        }
        else {
            return values;
        }
    };

    var NEWER = Symbol('newer');
    var OLDER = Symbol('older');
    function Entry(key, value) {
        this.key = key;
        this.value = value;
        this[NEWER] = undefined;
        this[OLDER] = undefined;
    }
    var LRUMap = (function () {
        function LRUMap(limit, entries) {
            if (typeof limit !== 'number') {
                entries = limit;
                limit = 0;
            }
            this.size = 0;
            this.limit = limit;
            this.oldest = this.newest = undefined;
            this._keymap = new Map();
            if (entries) {
                this.assign(entries);
                if (limit < 1) {
                    this.limit = this.size;
                }
            }
        }
        LRUMap.prototype._markEntryAsUsed = function (entry) {
            if (entry === this.newest) {
                return;
            }
            if (entry[NEWER]) {
                if (entry === this.oldest) {
                    this.oldest = entry[NEWER];
                }
                entry[NEWER][OLDER] = entry[OLDER];
            }
            if (entry[OLDER]) {
                entry[OLDER][NEWER] = entry[NEWER];
            }
            entry[NEWER] = undefined;
            entry[OLDER] = this.newest;
            if (this.newest) {
                this.newest[NEWER] = entry;
            }
            this.newest = entry;
        };
        LRUMap.prototype.assign = function (entries) {
            var entry;
            var limit = this.limit || Number.MAX_VALUE;
            this._keymap.clear();
            var it = entries[Symbol.iterator]();
            for (var itv = it.next(); !itv.done; itv = it.next()) {
                var e = new Entry(itv.value[0], itv.value[1]);
                this._keymap.set(e.key, e);
                if (!entry) {
                    this.oldest = e;
                }
                else {
                    entry[NEWER] = e;
                    e[OLDER] = entry;
                }
                entry = e;
                if (limit-- === 0) {
                    throw new Error('overflow');
                }
            }
            this.newest = entry;
            this.size = this._keymap.size;
        };
        LRUMap.prototype.get = function (key) {
            var entry = this._keymap.get(key);
            if (!entry) {
                return;
            }
            this._markEntryAsUsed(entry);
            return entry.value;
        };
        LRUMap.prototype.set = function (key, value) {
            var entry = this._keymap.get(key);
            if (entry) {
                entry.value = value;
                this._markEntryAsUsed(entry);
                return this;
            }
            this._keymap.set(key, (entry = new Entry(key, value)));
            if (this.newest) {
                this.newest[NEWER] = entry;
                entry[OLDER] = this.newest;
            }
            else {
                this.oldest = entry;
            }
            this.newest = entry;
            ++this.size;
            if (this.size > this.limit) {
                this.shift();
            }
            return this;
        };
        LRUMap.prototype.shift = function () {
            var entry = this.oldest;
            if (entry) {
                if (this.oldest[NEWER]) {
                    this.oldest = this.oldest[NEWER];
                    this.oldest[OLDER] = undefined;
                }
                else {
                    this.oldest = undefined;
                    this.newest = undefined;
                }
                entry[NEWER] = entry[OLDER] = undefined;
                this._keymap.delete(entry.key);
                --this.size;
                return [entry.key, entry.value];
            }
        };
        LRUMap.prototype.find = function (key) {
            var e = this._keymap.get(key);
            return e ? e.value : undefined;
        };
        LRUMap.prototype.has = function (key) {
            return this._keymap.has(key);
        };
        LRUMap.prototype.delete = function (key) {
            var entry = this._keymap.get(key);
            if (!entry) {
                return;
            }
            this._keymap.delete(entry.key);
            if (entry[NEWER] && entry[OLDER]) {
                entry[OLDER][NEWER] = entry[NEWER];
                entry[NEWER][OLDER] = entry[OLDER];
            }
            else if (entry[NEWER]) {
                entry[NEWER][OLDER] = undefined;
                this.oldest = entry[NEWER];
            }
            else if (entry[OLDER]) {
                entry[OLDER][NEWER] = undefined;
                this.newest = entry[OLDER];
            }
            else {
                this.oldest = this.newest = undefined;
            }
            this.size--;
            return entry.value;
        };
        LRUMap.prototype.clear = function () {
            this.oldest = this.newest = undefined;
            this.size = 0;
            this._keymap.clear();
        };
        LRUMap.prototype.keys = function () {
            return new KeyIterator(this.oldest);
        };
        LRUMap.prototype.values = function () {
            return new ValueIterator(this.oldest);
        };
        LRUMap.prototype.entries = function () { };
        LRUMap.prototype.forEach = function (fun, thisObj) {
            if (typeof thisObj !== 'object') {
                thisObj = this;
            }
            var entry = this.oldest;
            while (entry) {
                fun.call(thisObj, entry.value, entry.key, this);
                entry = entry[NEWER];
            }
        };
        LRUMap.prototype.toJSON = function () {
            var s = new Array(this.size);
            var i = 0;
            var entry = this.oldest;
            while (entry) {
                s[i++] = { key: entry.key, value: entry.value };
                entry = entry[NEWER];
            }
            return s;
        };
        LRUMap.prototype.toString = function () {
            var s = '';
            var entry = this.oldest;
            while (entry) {
                s += String(entry.key) + ':' + entry.value;
                entry = entry[NEWER];
                if (entry) {
                    s += ' < ';
                }
            }
            return s;
        };
        LRUMap.prototype[Symbol.iterator] = function () {
            return new EntryIterator(this.oldest);
        };
        return LRUMap;
    }());
    var EntryIterator = (function () {
        function EntryIterator(oldestEntry) {
            this.entry = oldestEntry;
        }
        EntryIterator.prototype[Symbol.iterator] = function () {
            return this;
        };
        EntryIterator.prototype.next = function () {
            var ent = this.entry;
            if (ent) {
                this.entry = ent[NEWER];
                return { done: false, value: [ent.key, ent.value] };
            }
            else {
                return { done: true, value: undefined };
            }
        };
        return EntryIterator;
    }());
    var KeyIterator = (function () {
        function KeyIterator(oldestEntry) {
            this.entry = oldestEntry;
        }
        KeyIterator.prototype[Symbol.iterator] = function () {
            return this;
        };
        KeyIterator.prototype.next = function () {
            var ent = this.entry;
            if (ent) {
                this.entry = ent[NEWER];
                return { done: false, value: ent.key };
            }
            else {
                return { done: true, value: undefined };
            }
        };
        return KeyIterator;
    }());
    var ValueIterator = (function () {
        function ValueIterator(oldestEntry) {
            this.entry = oldestEntry;
        }
        ValueIterator.prototype[Symbol.iterator] = function () {
            return this;
        };
        ValueIterator.prototype.next = function () {
            var ent = this.entry;
            if (ent) {
                this.entry = ent[NEWER];
                return { done: false, value: ent.value };
            }
            else {
                return { done: true, value: undefined };
            }
        };
        return ValueIterator;
    }());

    var compose = function () {
        var fns = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            fns[_i] = arguments[_i];
        }
        return function (payload) {
            return fns.reduce(function (buf, fn) {
                return fn(buf);
            }, payload);
        };
    };

    var toArr = function (val) { return (isArr(val) ? val : val ? [val] : []); };
    function each(val, iterator, revert) {
        if (isArr(val) || isStr(val)) {
            if (revert) {
                for (var i = val.length - 1; i >= 0; i--) {
                    if (iterator(val[i], i) === false) {
                        return;
                    }
                }
            }
            else {
                for (var i = 0; i < val.length; i++) {
                    if (iterator(val[i], i) === false) {
                        return;
                    }
                }
            }
        }
        else if (isObj(val)) {
            var key = void 0;
            for (key in val) {
                if (Object.hasOwnProperty.call(val, key)) {
                    if (iterator(val[key], key) === false) {
                        return;
                    }
                }
            }
        }
    }
    function map(val, iterator, revert) {
        var res = isArr(val) || isStr(val) ? [] : {};
        each(val, function (item, key) {
            var value = iterator(item, key);
            if (isArr(res)) {
                res.push(value);
            }
            else {
                res[key] = value;
            }
        }, revert);
        return res;
    }
    function reduce(val, iterator, accumulator, revert) {
        var result = accumulator;
        each(val, function (item, key) {
            result = iterator(result, item, key);
        }, revert);
        return result;
    }
    function every(val, iterator, revert) {
        var res = true;
        each(val, function (item, key) {
            if (!iterator(item, key)) {
                res = false;
                return false;
            }
        }, revert);
        return res;
    }
    function some(val, iterator, revert) {
        var res = false;
        each(val, function (item, key) {
            if (iterator(item, key)) {
                res = true;
                return false;
            }
        }, revert);
        return res;
    }
    function findIndex(val, iterator, revert) {
        var res = -1;
        each(val, function (item, key) {
            if (iterator(item, key)) {
                res = key;
                return false;
            }
        }, revert);
        return res;
    }
    function find(val, iterator, revert) {
        var res;
        each(val, function (item, key) {
            if (iterator(item, key)) {
                res = item;
                return false;
            }
        }, revert);
        return res;
    }
    function includes(val, searchElement, revert) {
        if (isStr(val))
            return val.includes(searchElement);
        return some(val, function (item) { return item === searchElement; }, revert);
    }
    function includesWith(val, search) {
        if (isArr(val)) {
            return val.some(function (item) { return search(item); });
        }
        else {
            return false;
        }
    }

    var KeyCode;
    (function (KeyCode) {
        KeyCode["Backspace"] = "Backspace";
        KeyCode["Tab"] = "Tab";
        KeyCode["Enter"] = "Enter";
        KeyCode["Shift"] = "Shift";
        KeyCode["Control"] = "Control";
        KeyCode["Alt"] = "Alt";
        KeyCode["CapsLock"] = "CapsLock";
        KeyCode["Escape"] = "Escape";
        KeyCode["Space"] = " ";
        KeyCode["PageUp"] = "PageUp";
        KeyCode["PageDown"] = "PageDown";
        KeyCode["End"] = "End";
        KeyCode["Home"] = "Home";
        KeyCode["ArrowLeft"] = "ArrowLeft";
        KeyCode["ArrowUp"] = "ArrowUp";
        KeyCode["ArrowRight"] = "ArrowRight";
        KeyCode["ArrowDown"] = "ArrowDown";
        KeyCode["Left"] = "Left";
        KeyCode["Up"] = "Up";
        KeyCode["Right"] = "Right";
        KeyCode["Down"] = "Down";
        KeyCode["Insert"] = "Insert";
        KeyCode["Delete"] = "Delete";
        KeyCode["Zero"] = "0";
        KeyCode["ClosedParen"] = ")";
        KeyCode["One"] = "1";
        KeyCode["ExclamationMark"] = "!";
        KeyCode["Two"] = "2";
        KeyCode["AtSign"] = "@";
        KeyCode["Three"] = "3";
        KeyCode["PoundSign"] = "\u00A3";
        KeyCode["Hash"] = "#";
        KeyCode["Four"] = "4";
        KeyCode["DollarSign"] = "$";
        KeyCode["Five"] = "5";
        KeyCode["PercentSign"] = "%";
        KeyCode["Six"] = "6";
        KeyCode["Caret"] = "^";
        KeyCode["Hat"] = "^";
        KeyCode["Seven"] = "7";
        KeyCode["Ampersand"] = "&";
        KeyCode["Eight"] = "8";
        KeyCode["Star"] = "*";
        KeyCode["Asterisk"] = "*";
        KeyCode["Nine"] = "9";
        KeyCode["OpenParen"] = "(";
        KeyCode["a"] = "a";
        KeyCode["b"] = "b";
        KeyCode["c"] = "c";
        KeyCode["d"] = "d";
        KeyCode["e"] = "e";
        KeyCode["f"] = "f";
        KeyCode["g"] = "g";
        KeyCode["h"] = "h";
        KeyCode["i"] = "i";
        KeyCode["j"] = "j";
        KeyCode["k"] = "k";
        KeyCode["l"] = "l";
        KeyCode["m"] = "m";
        KeyCode["n"] = "n";
        KeyCode["o"] = "o";
        KeyCode["p"] = "p";
        KeyCode["q"] = "q";
        KeyCode["r"] = "r";
        KeyCode["s"] = "s";
        KeyCode["t"] = "t";
        KeyCode["u"] = "u";
        KeyCode["v"] = "v";
        KeyCode["w"] = "w";
        KeyCode["x"] = "x";
        KeyCode["y"] = "y";
        KeyCode["z"] = "z";
        KeyCode["A"] = "A";
        KeyCode["B"] = "B";
        KeyCode["C"] = "C";
        KeyCode["D"] = "D";
        KeyCode["E"] = "E";
        KeyCode["F"] = "F";
        KeyCode["G"] = "G";
        KeyCode["H"] = "H";
        KeyCode["I"] = "I";
        KeyCode["J"] = "J";
        KeyCode["K"] = "K";
        KeyCode["L"] = "L";
        KeyCode["M"] = "M";
        KeyCode["N"] = "N";
        KeyCode["O"] = "O";
        KeyCode["P"] = "P";
        KeyCode["Q"] = "Q";
        KeyCode["R"] = "R";
        KeyCode["S"] = "S";
        KeyCode["T"] = "T";
        KeyCode["U"] = "U";
        KeyCode["V"] = "V";
        KeyCode["W"] = "W";
        KeyCode["X"] = "X";
        KeyCode["Y"] = "Y";
        KeyCode["Z"] = "Z";
        KeyCode["Meta"] = "Meta";
        KeyCode["LeftWindowKey"] = "Meta";
        KeyCode["RightWindowKey"] = "Meta";
        KeyCode["Numpad0"] = "0";
        KeyCode["Numpad1"] = "1";
        KeyCode["Numpad2"] = "2";
        KeyCode["Numpad3"] = "3";
        KeyCode["Numpad4"] = "4";
        KeyCode["Numpad5"] = "5";
        KeyCode["Numpad6"] = "6";
        KeyCode["Numpad7"] = "7";
        KeyCode["Numpad8"] = "8";
        KeyCode["Numpad9"] = "9";
        KeyCode["Multiply"] = "*";
        KeyCode["Add"] = "+";
        KeyCode["Subtract"] = "-";
        KeyCode["DecimalPoint"] = ".";
        KeyCode["MSDecimalPoint"] = "Decimal";
        KeyCode["Divide"] = "/";
        KeyCode["F1"] = "F1";
        KeyCode["F2"] = "F2";
        KeyCode["F3"] = "F3";
        KeyCode["F4"] = "F4";
        KeyCode["F5"] = "F5";
        KeyCode["F6"] = "F6";
        KeyCode["F7"] = "F7";
        KeyCode["F8"] = "F8";
        KeyCode["F9"] = "F9";
        KeyCode["F10"] = "F10";
        KeyCode["F11"] = "F11";
        KeyCode["F12"] = "F12";
        KeyCode["NumLock"] = "NumLock";
        KeyCode["ScrollLock"] = "ScrollLock";
        KeyCode["SemiColon"] = ";";
        KeyCode["Equals"] = "=";
        KeyCode["Comma"] = ",";
        KeyCode["Dash"] = "-";
        KeyCode["Period"] = ".";
        KeyCode["UnderScore"] = "_";
        KeyCode["PlusSign"] = "+";
        KeyCode["ForwardSlash"] = "/";
        KeyCode["Tilde"] = "~";
        KeyCode["GraveAccent"] = "`";
        KeyCode["OpenBracket"] = "[";
        KeyCode["ClosedBracket"] = "]";
        KeyCode["Quote"] = "'";
    })(KeyCode || (KeyCode = {}));
    var getKeyCodeFromEvent = function (event) {
        return event.key;
    };

    var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

    function createCommonjsModule(fn) {
      var module = { exports: {} };
    	return fn(module, module.exports), module.exports;
    }

    createCommonjsModule(function (module) {
    (function (factory) {
    	if (module.exports) {
    		module.exports = factory();
    	} else {
    		window.idleCallbackShim = factory();
    	}
    }(function(){
    	var scheduleStart, throttleDelay, lazytimer, lazyraf;
    	var root = typeof window != 'undefined' ?
    		window :
    		typeof commonjsGlobal != undefined ?
    			commonjsGlobal :
    			this || {};
    	var requestAnimationFrame = root.cancelRequestAnimationFrame && root.requestAnimationFrame || setTimeout;
    	var cancelRequestAnimationFrame = root.cancelRequestAnimationFrame || clearTimeout;
    	var tasks = [];
    	var runAttempts = 0;
    	var isRunning = false;
    	var remainingTime = 7;
    	var minThrottle = 35;
    	var throttle = 125;
    	var index = 0;
    	var taskStart = 0;
    	var tasklength = 0;
    	var IdleDeadline = {
    		get didTimeout(){
    			return false;
    		},
    		timeRemaining: function(){
    			var timeRemaining = remainingTime - (Date.now() - taskStart);
    			return timeRemaining < 0 ? 0 : timeRemaining;
    		},
    	};
    	var setInactive = debounce(function(){
    		remainingTime = 22;
    		throttle = 66;
    		minThrottle = 0;
    	});

    	function debounce(fn){
    		var id, timestamp;
    		var wait = 99;
    		var check = function(){
    			var last = (Date.now()) - timestamp;

    			if (last < wait) {
    				id = setTimeout(check, wait - last);
    			} else {
    				id = null;
    				fn();
    			}
    		};
    		return function(){
    			timestamp = Date.now();
    			if(!id){
    				id = setTimeout(check, wait);
    			}
    		};
    	}

    	function abortRunning(){
    		if(isRunning){
    			if(lazyraf){
    				cancelRequestAnimationFrame(lazyraf);
    			}
    			if(lazytimer){
    				clearTimeout(lazytimer);
    			}
    			isRunning = false;
    		}
    	}

    	function onInputorMutation(){
    		if(throttle != 125){
    			remainingTime = 7;
    			throttle = 125;
    			minThrottle = 35;

    			if(isRunning) {
    				abortRunning();
    				scheduleLazy();
    			}
    		}
    		setInactive();
    	}

    	function scheduleAfterRaf() {
    		lazyraf = null;
    		lazytimer = setTimeout(runTasks, 0);
    	}

    	function scheduleRaf(){
    		lazytimer = null;
    		requestAnimationFrame(scheduleAfterRaf);
    	}

    	function scheduleLazy(){

    		if(isRunning){return;}
    		throttleDelay = throttle - (Date.now() - taskStart);

    		scheduleStart = Date.now();

    		isRunning = true;

    		if(minThrottle && throttleDelay < minThrottle){
    			throttleDelay = minThrottle;
    		}

    		if(throttleDelay > 9){
    			lazytimer = setTimeout(scheduleRaf, throttleDelay);
    		} else {
    			throttleDelay = 0;
    			scheduleRaf();
    		}
    	}

    	function runTasks(){
    		var task, i, len;
    		var timeThreshold = remainingTime > 9 ?
    			9 :
    			1
    		;

    		taskStart = Date.now();
    		isRunning = false;

    		lazytimer = null;

    		if(runAttempts > 2 || taskStart - throttleDelay - 50 < scheduleStart){
    			for(i = 0, len = tasks.length; i < len && IdleDeadline.timeRemaining() > timeThreshold; i++){
    				task = tasks.shift();
    				tasklength++;
    				if(task){
    					task(IdleDeadline);
    				}
    			}
    		}

    		if(tasks.length){
    			scheduleLazy();
    		} else {
    			runAttempts = 0;
    		}
    	}

    	function requestIdleCallbackShim(task){
    		index++;
    		tasks.push(task);
    		scheduleLazy();
    		return index;
    	}

    	function cancelIdleCallbackShim(id){
    		var index = id - 1 - tasklength;
    		if(tasks[index]){
    			tasks[index] = null;
    		}
    	}

    	if(!root.requestIdleCallback || !root.cancelIdleCallback){
    		root.requestIdleCallback = requestIdleCallbackShim;
    		root.cancelIdleCallback = cancelIdleCallbackShim;

    		if(root.document && document.addEventListener){
    			root.addEventListener('scroll', onInputorMutation, true);
    			root.addEventListener('resize', onInputorMutation);

    			document.addEventListener('focus', onInputorMutation, true);
    			document.addEventListener('mouseover', onInputorMutation, true);
    			['click', 'keypress', 'touchstart', 'mousedown'].forEach(function(name){
    				document.addEventListener(name, onInputorMutation, {capture: true, passive: true});
    			});

    			if(root.MutationObserver){
    				new MutationObserver( onInputorMutation ).observe( document.documentElement, {childList: true, subtree: true, attributes: true} );
    			}
    		}
    	} else {
    		try{
    			root.requestIdleCallback(function(){}, {timeout: 0});
    		} catch(e){
    			(function(rIC){
    				var timeRemainingProto, timeRemaining;
    				root.requestIdleCallback = function(fn, timeout){
    					if(timeout && typeof timeout.timeout == 'number'){
    						return rIC(fn, timeout.timeout);
    					}
    					return rIC(fn);
    				};
    				if(root.IdleCallbackDeadline && (timeRemainingProto = IdleCallbackDeadline.prototype)){
    					timeRemaining = Object.getOwnPropertyDescriptor(timeRemainingProto, 'timeRemaining');
    					if(!timeRemaining || !timeRemaining.configurable || !timeRemaining.get){return;}
    					Object.defineProperty(timeRemainingProto, 'timeRemaining', {
    						value:  function(){
    							return timeRemaining.get.call(this);
    						},
    						enumerable: true,
    						configurable: true,
    					});
    				}
    			})(root.requestIdleCallback);
    		}
    	}

    	return {
    		request: requestIdleCallbackShim,
    		cancel: cancelIdleCallbackShim,
    	};
    }));
    });

    var requestIdle = function (callback, options) {
        return window['requestIdleCallback'](callback, options);
    };
    var cancelIdle = function (id) {
        window['cancelIdleCallback'](id);
    };

    var createDesigner = function (props) {
        if (props === void 0) { props = {}; }
        var drivers = props.drivers || [];
        var effects = props.effects || [];
        var shortcuts = props.shortcuts || [];
        return new Engine(__assign$1(__assign$1({}, props), { effects: __spread(effects, DEFAULT_EFFECTS), drivers: __spread(drivers, DEFAULT_DRIVERS), shortcuts: __spread(shortcuts, DEFAULT_SHORTCUTS) }));
    };

    exports.AddWorkspaceEvent = AddWorkspaceEvent;
    exports.AppendNodeEvent = AppendNodeEvent;
    exports.Cursor = Cursor;
    exports.DragMoveEvent = DragMoveEvent;
    exports.DragNodeEvent = DragNodeEvent;
    exports.DragSource = DragSource;
    exports.DragStartEvent = DragStartEvent;
    exports.DragStopEvent = DragStopEvent;
    exports.Dragon = Dragon;
    exports.DropNodeEvent = DropNodeEvent;
    exports.Engine = Engine;
    exports.Event = Event;
    exports.EventDriver = EventDriver;
    exports.GlobalDragSource = GlobalDragSource;
    exports.GlobalRegistry = GlobalRegistry;
    exports.History = History;
    exports.HistoryRedoEvent = HistoryRedoEvent;
    exports.HistoryUndoEvent = HistoryUndoEvent;
    exports.HoverNodeEvent = HoverNodeEvent;
    exports.InsertAfterEvent = InsertAfterEvent;
    exports.InsertBeforeEvent = InsertBeforeEvent;
    exports.InsertChildrenEvent = InsertChildrenEvent;
    exports.KeyDownEvent = KeyDownEvent;
    exports.KeyUpEvent = KeyUpEvent;
    exports.Keyboard = Keyboard;
    exports.LRUMap = LRUMap;
    exports.MouseClickEvent = MouseClickEvent;
    exports.MouseMoveEvent = MouseMoveEvent;
    exports.Operation = Operation;
    exports.Point = Point;
    exports.PrependNodeEvent = PrependNodeEvent;
    exports.RemoveNodeEvent = RemoveNodeEvent;
    exports.RemoveWorkspaceEvent = RemoveWorkspaceEvent;
    exports.Screen = Screen;
    exports.SelectNodeEvent = SelectNodeEvent;
    exports.Selection = Selection;
    exports.Shortcut = Shortcut;
    exports.Subscrible = Subscrible;
    exports.SwitchWorkspaceEvent = SwitchWorkspaceEvent;
    exports.TreeNode = TreeNode;
    exports.UnSelectNodeEvent = UnSelectNodeEvent;
    exports.UpdateChildrenEvent = UpdateChildrenEvent;
    exports.UpdateNodePropsEvent = UpdateNodePropsEvent;
    exports.Viewport = Viewport;
    exports.ViewportResizeEvent = ViewportResizeEvent;
    exports.ViewportScrollEvent = ViewportScrollEvent;
    exports.Workbench = Workbench;
    exports.Workspace = Workspace;
    exports.WrapNodeEvent = WrapNodeEvent;
    exports.calcAutoScrollBasicInfo = calcAutoScrollBasicInfo;
    exports.calcBoundingRect = calcBoundingRect;
    exports.calcDistanceOfPointToRect = calcDistanceOfPointToRect;
    exports.calcDistancePointToEdge = calcDistancePointToEdge;
    exports.calcQuadrantOfPonitToRect = calcQuadrantOfPonitToRect;
    exports.calcRectByStartEndPoint = calcRectByStartEndPoint;
    exports.calcRelativeOfPointToRect = calcRelativeOfPointToRect;
    exports.calcSpeedFactor = calcSpeedFactor;
    exports.cancelIdle = cancelIdle;
    exports.clone = clone;
    exports.compose = compose;
    exports.createDesigner = createDesigner;
    exports.createUniformSpeedAnimation = createUniformSpeedAnimation;
    exports.each = each;
    exports.every = every;
    exports.find = find;
    exports.findIndex = findIndex;
    exports.getKeyCodeFromEvent = getKeyCodeFromEvent;
    exports.getRectPoints = getRectPoints;
    exports.getType = getType;
    exports.includes = includes;
    exports.includesWith = includesWith;
    exports.instOf = instOf;
    exports.isArr = isArr;
    exports.isBool = isBool;
    exports.isCrossRectInRect = isCrossRectInRect;
    exports.isFn = isFn;
    exports.isHTMLElement = isHTMLElement;
    exports.isNearAfter = isNearAfter;
    exports.isNum = isNum;
    exports.isObj = isObj;
    exports.isPlainObj = isPlainObj;
    exports.isPointInRect = isPointInRect;
    exports.isRectInRect = isRectInRect;
    exports.isRegExp = isRegExp;
    exports.isStr = isStr;
    exports.isWindow = isWindow;
    exports.map = map;
    exports.reduce = reduce;
    exports.requestIdle = requestIdle;
    exports.scrollAnimate = scrollAnimate;
    exports.shallowClone = shallowClone;
    exports.some = some;
    exports.toArr = toArr;
    exports.uid = uid;
    exports.updateScrollValue = updateScrollValue;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
